#### 简要描述：

- 创建自动任务


#### 请求URL:

- `/api/pc/robots/create_task_robot_import`

#### 请求方式：

- POST

#### 请求头：

- 请参考[开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 请求参数:

字段名 | 是否必填 | 描述 | 参数示例(默认)
--------- | ------- | ----------- | ----------
id | false | 定时任务id
name | false | 定时任务名字
range | false | 号码来源| 客户和联系人customer_and_contact，客户customer，联系人contact
phone_type | false | 数据字段 | 0手机,1固话,2手机和固话
can_cover | false | 号码重复处理方式| "true"/"false"
common_type | true | 公海/线索池 | CustomerCommon/LeadCommon
common_id | true | 公海/线索池ID
call_plan | false | 是否需要创建外呼计划 | 0不需要1需要(默认0)
callplan_params | false | 外呼计划相关参数| 同转移机器人弹框
search_params | false| 搜索条件，同转移机器人弹框 

#### 返回示例:

**正确时返回:**

``` json
{
  "code": 0,
  "message": "接口请求成功"
}

```

**错误时返回:**


```json

{
  "code": -1,
  # 验证失败: Name已经被使用
  "message": "定时任务不存在!"
}
```


#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述