#### 简要描述：

- 任务记录列表


#### 请求URL:

- `/api/pc/robots/robot_import_tasks`

#### 请求方式：

- GET

#### 请求头：

- 请参考[开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 请求参数:

字段名 | 是否必填 | 描述 | 参数示例(默认)
--------- | ------- | ----------- | ----------
common_type | true | 公海/线索池 | CustomerCommon/LeadCommon
common_id | true | 公海/线索池ID
page | false | 页码 | (默认1)
per_page | false | 每页条数| (默认10)

#### 返回示例:

**正确时返回:**

``` json
{
  "code": 0,
  "message": "接口请求成功",
  "list": {
     "data": [
	      {
		      "id": 1,
			  "name": "任务1",
              "created_at": "2022-05-12 20:50",
			  # {0 => '待执行', 1 => '执行中', 2 => '已暂停', 3 => '已停止', 4 => '已完成', 5 => '没有机器人权限'}
              "status": 0,
			  "status_label":"待执行",
              "total": 1000,
              "phones_total": 800,
			  # 0是自动任务，1是手动任务
              "is_task": 0,
			  # true有任务详情，false没有
			  "has_infos": true,
			  # true可以重新创建，false不能
			  "can_new": true,
		  }
	 ]
  },
  "total": 40
}

```

**错误时返回:**


```json

{
  "code": -1,
  "message": "未定"
}
```


#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述