#### 简要描述：

- 任务详情列表


#### 请求URL:

- `/api/pc/robots/robot_import_task_infos`

#### 请求方式：

- GET

#### 请求头：

- 请参考[开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 请求参数:

字段名 | 是否必填 | 描述 | 参数示例(默认)
--------- | ------- | ----------- | ----------
common_type | true | 公海/线索池 | CustomerCommon/LeadCommon
common_id | true | 公海/线索池ID
id | true | 定时任务id |
error_reason | false | 转移失败原因| 默认为空或不传
import_result | false | 转机器人情况 | 0未转1已转
phone_type | false | 号码类型 | 0手机,1固话
page | false | 页码 | (默认1)
per_page | false | 每页条数| (默认10)

#### 返回示例:

**正确时返回:**

``` json
{
  "code": 0,
  "message": "接口请求成功",
     "data": 
	      {
		      "task_id": 1,
			  "name": "任务1",
			  "status": 0,
			  "status_label": "待执行",
			  "list": [
			        {
					"id": 1,
					"phone": "18723467213",
                    "error_reason": "--",
                    "name": "玫瑰少年",
					# {0 => '未转',  1 => '已转'}
                    "import_result": 1,
					"import_result_label": "已转",
					},
					{
					"id": 1,
					"phone": "18723467213",
                    "error_reason": "号码重复",
                    "name": "玫瑰少年",
                     "import_result": 0,
					"import_result_label": "未转",
					}
			  ],
              "total": 1000
		  }
	 
}

```

**错误时返回:**


```json

{
  "code": -1,
  "message": "未定"
}
```


#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述