对接过程中常用的概念说明：
- 开放平台概念及其能力
- 系统版本：钉钉版、独立版、企微版
- CorpId概念及其作用
- UserId概念及其作用
- access_token概念及其作用
- 角色权限概念及其作用

### CorpId概念及其作用
CorpId是企业在系统中的标识，每个企业拥有唯一的CorpId。登录后台可以在设置中心公司信息下查看企业的CorpId。
用户有多个企业，在调用登录接口时，需要传参CorpId以决定登录到哪个企业。
![](/uploads/crm_open_api/images/m_8a5d28443ae4019c57a2216855597e9e_r.png)

### UserId概念及其作用
企业内每个员工都有唯一的UserId，创建后不可修改。
通常情况下UserId在系统页面中不可见，可以通过接口获取。
![](/uploads/crm_open_api/images/m_fec040cc472e62a4dd56b1783de5979f_r.png)

### access_token概念及其作用
access_token是调用接口操作信息的重要凭据。在调用接口时必须携带access_token用于验证接口的访问权限。
通过调用用户登录接口获取access_token。
![](/uploads/crm_open_api/images/m_02e033ec195c1270479c8f52ace8786f_r.png)

### 角色权限概念及其作用

每个用户都拥有一个角色，这个角色代表了其在系统中拥有的权限。角色是可以自定义的权限集合，角色的权限决定用户所可以操作类型，和能操作的数据字段、数据范围。默认创建的超级管理员是系统权限最大的角色。在调用接口时注意使用合适的用户角色进行操作。
![](/uploads/crm_open_api/images/m_d98073ca2b8c2decf10d4f03ecf8c426_r.png)

![](/uploads/crm_open_api/images/m_03a1541e37e4cc939c771ddc8db9973c_r.png)