#### 简要描述：

- 部门列表接口

#### 请求URL:

- `/api/v2/user/:id`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
:id | true | 用户id


**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "id": 11506206,
    "email": "",
    "created_at": "2019-02-12T21:35:34.000+08:00",
    "name": "Aimi",
    "organization_id": 49,
    "phone": "15010248762",
    "role_id": 169,
    "workflow_state": "organization_staff",
    "job": "",
    "tel": "",
    "gender": "female",
    "role": "超级管理员",
    "role_json": {
      "id": 169,
      "name": "超级管理员",
      "entity_grant_scope": "organization_own"
    },
    "department_id": 395,
    "department_name": "总经理办公室",
    "avatar_url": "https://e.ikcrm.com/assets/female_uc.jpg",
    "departments_manager": false,
    "is_super_user": true,
    "confirmed_phone_at": "2019-02-21 10:10",
    "pending_report": false,
    "superior_id": 0,
    "superior_name": "",
    "organization_name": "爱客CRM",
    "have_new_feature_on_sales_circle": false,
    "sales_circle_msg_count": 0,
    "assist_departments": [
    ],
    "locked_at": "",
    "enabled_number_hidden_dispose": false,
    "dingtalk_userid": "",
    "uid": 11903931,
    "organization_oid": 11529379
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "message": "您的登录已经过期，请重新登录！",
  "error": "user_authentication_error"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|is_super_user |boolean   |是否超管  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述