#### 简要描述：

- 简单用户列表接口

#### 请求URL:

- `/api/v2/user/simple_list`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 参数类型 | 描述
--------- | ------- | ------- | -----------
page | false | 页码
per_page | false | 每页的数量
by_permission | false | 是否是根据用户数据权限，选项 true/false,不填默认false
except_user_id | false | 排除用户的id
query | false | 查询条件 根据用户name查询
department_id | false | 部门id
user_id | false | 用户id


**正确时返回:**

``` json
{
  "code": 0,
  "data": {
    "options": [
      {
        "label": "不限",
        "name": "user_id",
        "value": ""
      },
      {
        "label": "Aimi",
        "name": "user_id",
        "value": "11506206"
      }
    ],
    "total_count": 19,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "message": "您的登录已经过期，请重新登录！",
  "error": "user_authentication_error"
}
```

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述