# 自定义业务参数 （field_maps）
返回数据示例
> 返回数据

```json
{
  "code": 0,
  "data": {
    "customer": [
      {
        "id": 4603,
        "field_name": "staff_size",
        "klass_name": "Customer",
        "field_type": "select",
        "column_type": "string",
        "default_value_origin": "",
        "organization_id": 10191,
        "created_at": "2015-07-02T20:09:36.000+08:00",
        "updated_at": "2015-07-02T20:09:36.000+08:00",
        "field_values": [
          {
            "id": 26933,
            "field_map_id": 4603,
            "name": null,
            "value": "<10人",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:36.000+08:00",
            "updated_at": "2015-07-02T20:09:36.000+08:00",
            "setting_html_options": {}
          },
          {
            "id": 26934,
            "field_map_id": 4603,
            "name": null,
            "value": "10-20人",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:36.000+08:00",
            "updated_at": "2015-07-02T20:09:36.000+08:00",
            "setting_html_options": {}
          },
          {
            "id": 26935,
            "field_map_id": 4603,
            "name": null,
            "value": "20-50人",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:36.000+08:00",
            "updated_at": "2015-07-02T20:09:36.000+08:00",
            "setting_html_options": {}
          }
        ]
      },
      {
        "id": 4604,
        "field_name": "status",
        "klass_name": "Customer",
        "field_type": "select",
        "column_type": "string",
        "default_value_origin": "",
        "organization_id": 10191,
        "created_at": "2015-07-02T20:09:37.000+08:00",
        "updated_at": "2015-07-02T20:09:37.000+08:00",
        "field_values": [
          {
            "id": 26939,
            "field_map_id": 4604,
            "name": null,
            "value": "初访",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:37.000+08:00",
            "updated_at": "2015-07-02T20:09:37.000+08:00",
            "setting_html_options": {}
          }
        ]
      },
      {
        "id": 4605,
        "field_name": "category",
        "klass_name": "Customer",
        "field_type": "select",
        "column_type": "string",
        "default_value_origin": "",
        "organization_id": 10191,
        "created_at": "2015-07-02T20:09:37.000+08:00",
        "updated_at": "2015-07-02T20:09:37.000+08:00",
        "field_values": [
          {
            "id": 26944,
            "field_map_id": 4605,
            "name": null,
            "value": "A(重要客户)",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:37.000+08:00",
            "updated_at": "2015-07-02T20:09:37.000+08:00",
            "setting_html_options": {}
          },
          {
            "id": 26945,
            "field_map_id": 4605,
            "name": null,
            "value": "B(普通客户)",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:37.000+08:00",
            "updated_at": "2015-07-02T20:09:37.000+08:00",
            "setting_html_options": {}
          },
          {
            "id": 26946,
            "field_map_id": 4605,
            "name": null,
            "value": "C(低价值客户)",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:37.000+08:00",
            "updated_at": "2015-07-02T20:09:37.000+08:00",
            "setting_html_options": {}
          }
        ]
      },
      {
        "id": 4606,
        "field_name": "source",
        "klass_name": "Customer",
        "field_type": "select",
        "column_type": "string",
        "default_value_origin": "",
        "organization_id": 10191,
        "created_at": "2015-07-02T20:09:37.000+08:00",
        "updated_at": "2015-07-02T20:09:37.000+08:00",
        "field_values": [
          {
            "id": 26947,
            "field_map_id": 4606,
            "name": null,
            "value": "广告",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:37.000+08:00",
            "updated_at": "2015-07-30T17:45:12.000+08:00",
            "setting_html_options": {}
          },
          {
            "id": 26948,
            "field_map_id": 4606,
            "name": null,
            "value": "社交推广",
            "status": "enable",
            "position": 1,
            "created_at": "2015-07-02T20:09:37.000+08:00",
            "updated_at": "2015-07-30T17:45:12.000+08:00",
            "setting_html_options": {}
          }
        ]
      },
      {
        "id": 4607,
        "field_name": "industry",
        "klass_name": "Customer",
        "field_type": "select",
        "column_type": "string",
        "default_value_origin": "",
        "organization_id": 10191,
        "created_at": "2015-07-02T20:09:37.000+08:00",
        "updated_at": "2015-07-02T20:09:37.000+08:00",
        "field_values": [
          {
            "id": 26955,
            "field_map_id": 4607,
            "name": null,
            "value": "服务",
            "status": "enable",
            "position": 0,
            "created_at": "2015-07-02T20:09:37.000+08:00",
            "updated_at": "2015-07-02T20:09:37.000+08:00",
            "setting_html_options": {}
          }
        ]
      }
    ]
  }
}
```
## 返回所有列表
### HTTP Request
`GET  /api/v2/field_maps`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据
{
    "code": 0,
    "Customer": {数据示例},
    "Contact": {数据示例},
    "Opportunities": {数据示例},
    ...
}

## 描述：Return tasks field maps
### HTTP Request
`GET  /api/v2/field_maps/task`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

## 描述：Return customers field maps
### HTTP Request
`GET  /api/v2/field_maps/customer`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

```json
{
    "code": 0,
    "data": {
        "visible_tabs": [
            {
                "subject": "customer",
                "label": "全部客户",
                "value": "all_own"
            },
            {
                "subject": "customer",
                "label": "我的客户",
                "value": "my_own"
            },
            {
                "subject": "customer",
                "label": "下属客户",
                "value": "sub_own"
            },
            {
                "subject": "customer",
                "label": "我协作的客户",
                "value": "my_assist"
            },
            {
                "subject": "customer",
                "label": "我下属协作的客户",
                "value": "sub_assist"
            },
            {
                "subject": "customer",
                "label": "公海No01",
                "value": "common",
                "common_id": 1
            },
            {
                "subject": "customer",
                "label": "公海No02",
                "value": "common",
                "common_id": 3
            },
            {
                "subject": "customer",
                "label": "公海No03",
                "value": "common",
                "common_id": 4
            }
        ],
        "customer": [
            {
                "id": 1,
                "field_name": "staff_size",
                "field_name_mapped": "人员规模",
                "klass_name": "Customer",
                "field_type": "select",
                "column_type": "string",
                "default_value_origin": "",
                "organization_id": 1,
                "created_at": "2017-09-07T18:44:11.000+08:00",
                "updated_at": "2017-09-07T18:44:11.000+08:00",
                "field_values": [
                    {
                        "id": 1,
                        "field_map_id": 1,
                        "name": "",
                        "value": "<10人",
                        "status": "enable",
                        "position": 0,
                        "created_at": "2017-09-07T18:44:11.000+08:00",
                        "updated_at": "2017-10-13T16:35:47.000+08:00",
                        "setting_html_options": {},
                        "organization_id": 1
                    },
                    {
                        "id": 2,
                        "field_map_id": 1,
                        "name": "",
                        "value": "10-20人",
                        "status": "enable",
                        "position": 0,
                        "created_at": "2017-09-07T18:44:11.000+08:00",
                        "updated_at": "2017-10-13T16:35:30.000+08:00",
                        "setting_html_options": {},
                        "organization_id": 1
                    },
                    {
                        "id": 3,
                        "field_map_id": 1,
                        "name": "",
                        "value": "20-50人",
                        "status": "enable",
                        "position": 0,
                        "created_at": "2017-09-07T18:44:11.000+08:00",
                        "updated_at": "2017-10-13T16:35:30.000+08:00",
                        "setting_html_options": {},
                        "organization_id": 1
                    },
                    {
                        "id": 4,
                        "field_map_id": 1,
                        "name": "",
                        "value": "50-100人",
                        "status": "enable",
                        "position": 0,
                        "created_at": "2017-09-07T18:44:11.000+08:00",
                        "updated_at": "2017-10-13T16:35:30.000+08:00",
                        "setting_html_options": {},
                        "organization_id": 1
                    },
                    {
                        "id": 5,
                        "field_map_id": 1,
                        "name": "",
                        "value": "100-500人",
                        "status": "enable",
                        "position": 0,
                        "created_at": "2017-09-07T18:44:11.000+08:00",
                        "updated_at": "2017-10-13T16:35:30.000+08:00",
                        "setting_html_options": {},
                        "organization_id": 1
                    },
                    {
                        "id": 6,
                        "field_map_id": 1,
                        "name": "",
                        "value": "500人以上",
                        "status": "enable",
                        "position": 0,
                        "created_at": "2017-09-07T18:44:11.000+08:00",
                        "updated_at": "2017-10-13T16:35:30.000+08:00",
                        "setting_html_options": {},
                        "organization_id": 1
                    }
                ]
            }
        ]
    }
}
```


## 描述：Return opportunities field maps
### HTTP Request
`GET  /api/v2/field_maps/opportunity`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

## 描述：Return contacts field maps
### HTTP Request
`GET  /api/v2/field_maps/contact`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

## 描述：Return conrtacts field maps
### HTTP Request
`GET  /api/v2/field_maps/contract`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

## 描述：Return leads field maps
### HTTP Request
`GET  /api/v2/field_maps/lead`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

## 描述：Return received payment field maps
### HTTP Request
`GET  /api/v2/field_maps/received_payment`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

## 描述：Return revisit_log field maps
### HTTP Request
`GET  /api/v2/field_maps/revisit_log`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

## invoiced_payment 开票记录
### HTTP Request
`GET  /api/v2/field_maps/invoiced_payment`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据 见返回数据示例

## 排序位置存储
### HTTP Request
`PUT  /api/v2/field_maps/:id/resort_field_values`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | field_map的id, 替换 :id
field_value_ids | true| 传入 id数组,见下图示例

- 示例请求
![代码图片示例](http://apidoc.weiwenjia.com/tmp/1bc415bc1f6a472ef96e0314d33993b8/crmdoc/目录/images/field_maps/resort_field_values.png)


> 返回数据

```
{
  "code":0
}
```

## 是否启用
### HTTP Request
`PUT  /api/v2/field_maps/:id/update_field_value_status`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | field_map的id, 替换 :id
status | true| enable(启用), disable(关闭)

- 示例请求
![代码图片示例](http://apidoc.weiwenjia.com/tmp/1bc415bc1f6a472ef96e0314d33993b8/crmdoc/目录/images/field_maps/update_field_value_status.png)


> 返回数据

```
{
  "code":0
}
```

## 增加或者修改筛选值
### HTTP Request
`PUT  /api/v2/field_maps/:id/update_field_value`
### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | field_map的id, 替换 :id
field_value_id | true| field_value_id 新增的时候不传或者传""
value | true| 值

- 示例请求
![代码图片示例](http://apidoc.weiwenjia.com/tmp/1bc415bc1f6a472ef96e0314d33993b8/crmdoc/目录/images/field_maps/update_field_value.png)


> 返回数据

```
{
  "code":0
}
```