#### 简要描述：

- 所有业务模板列表

#### 请求URL:

- `/api/v2/business_templates/list`

#### 请求方式：

- GET

#### 请求头：

- 请参考[开发须知](../../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
entity_type | true | 类型 (customer contract)

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "business_templates": [
      {
        "id": 382,
        "name": "ABC1",
        "position": null,
        "status": 0,
        "is_usable": true
      },
      {
        "id": 532,
        "name": "测试模板1",
        "position": null,
        "status": 0,
        "is_usable": true
      },
      {
        "id": 533,
        "name": "测试模板2",
        "position": null,
        "status": 0,
        "is_usable": true
      }
    ],
    "total_count": 3,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----    |
|is_usable |boolean   |是否可用  |
|status |int   |状态  0:启用 ；1:禁用  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述