## 自定义应用列表
### HTTP Request

`GET /apaas/api/v2/custom_apps`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据

```json
{
    "code": 0,
    "message": "success",
    "remark": "成功",
    "data": {
        "total_count": 2,
        "total_pages": 1,
        "next_page": null,
        "prev_page": null,
        "current_page": 1,
        "per_page": 15,
        "page": 1,
        "models": [
            {
                "id": 3,
                "name": "招商",
                "status": "enable",
                "status_i18n": "启用",
                "description": "招商",
                "setting": {
                    "timestamp": {
                        "custom_form:23": 1692330427.630951,
                        "custom_form:25": 1692084284.646591
                    }
                },
                "created_at": "2023-08-03T09:44:20.621+08:00",
                "updated_at": "2023-08-18T11:47:07.661+08:00",
                "creator": {
                    "id": 1,
                    "name": "test"
                }
            },
            {
                "id": 4,
                "name": "市场调研",
                "status": "enable",
                "status_i18n": "启用",
                "description": "上海市场调研",
                "setting": {
                    "icon": "appIcon19"
                },
                "created_at": "2023-08-03T15:32:25.333+08:00",
                "updated_at": "2023-08-22T17:12:34.934+08:00",
                "creator": {
                    "id": 1,
                    "name": "test"
                },
                "update_user": {
                    "id": 1,
                    "name": "test"
                }
            }
        ]
    }
}
```

## 自建应用Simple列表
### HTTP Request

`GET /apaas/api/v2/custom_apps/simple`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 返回数据

```json
{
  "code": 0,
  "message": "success",
  "remark": "成功",
  "data": {
    "models": [
      {
        "value": 3,
        "label": "招商",
        "id": 3,
        "name": "招商",
        "status": "enable",
        "status_i18n": "启用"
      },
      {
        "value": 4,
        "label": "市场调研",
        "id": 4,
        "name": "市场调研",
        "status": "enable",
        "status_i18n": "启用"
      }
    ]
  }
}
```