## 创建表单数据
### HTTP Request

`POST /apaas/api/v2/form_entities  `

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------
custom_form_id|是|表单ID

### Body Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------


> 请求正文

```json
{
    "form_entity": {
        "text_1691116765689_fe45581": "哇咔隧道咔a 133333a a",
        "select_1691125929052_d05a00": "H6Qq/ojoIFNyICUXzx3UOw==",
        "multi_select_1691562342042_e0b50f": ["qxjjDA3ECTzu2olh+sPR9A==","QpbX0pPJ6koOUsZBXwtclg=="],
        "address_select_1692580744482_e108c6":  {
          "country_id": "4", "province_id": "9",
          "city_id": "73", "district_id": "732", "detail_address": "马路口驴子街"
        },
        "geo_address_1692673349914_fc5d81": {
            "latitude": 29.952211,
            "longitude": 90.080563
        },
        "datetime_range_field_1692266369719_513d41": ["2023-08-20 00:01:00", "2023-08-25 23:59:59"],
        "file_field_1692266369719_123d41": [
            {"id": 1, "name": "test1.jpg", "file_file_name": "test1.jpg", "file_content_type": "jpg", "file_file_size": 10, "file_url"： "https://dn-ikcrm-files-dev.qbox.me/attachments/files/403692/xxxx.gif"},
            {"id": 2, "name": "test2.jpg", "file_file_name": "test2.jpg", "file_content_type": "jpg", "file_file_size": 10, "file_url"： "https://dn-ikcrm-files-dev.qbox.me/attachments/files/403692/xxxx.gif"},
            {"id": 4, "name": "test4.jpg", "file_file_name": "test4.jpg", "file_content_type": "jpg", "file_file_size": 10, "file_url"： "https://dn-ikcrm-files-dev.qbox.me/attachments/files/403692/xxxx.gif"},
            {"id": 3, "name": "test3.jpg", "file_file_name": "test3.jpg", "file_content_type": "jpg", "file_file_size": 10, "file_url"： "https://dn-ikcrm-files-dev.qbox.me/attachments/files/403692/xxxx.gif"}
        ],
        "nest_2324013095370acf": {
            "level_0": "60943MKVMq0Erpe9dUdV7w==",
            "level_1": "WkFg1hVKiht2xdOjfhlpqQ=="
        }
    }
}
```

> 返回数据

```json
{
    "code": 0,
    "message": "success",
    "remark": "成功",
    "data": {
        "app_id": 4,
        "custom_form_id": 13,
        "organization_id": 1,
        "created_at": "2023-08-16T15:29:15.318+08:00",
        "updated_at": "2023-08-22T15:31:52.299+08:00",
        "id": 30,
        "primary_field_value": null,
        "text_1691116765689_fe4558": "哇咔隧道咔a 133333a a",
        "text_1691116775689_fb4558": null,
        "email_1691116765689_fe4558": null,
        "select_1691125929052_d05a00": "H6Qq/ojoIFNyICUXzx3UOw==",
        "select_1691125929052_d05a00_display": "入门",
        "multi_select_1691562342042_e0b50f": [
            "qxjjDA3ECTzu2olh+sPR9A==",
            "QpbX0pPJ6koOUsZBXwtclg=="
        ],
        "multi_select_1691562342042_e0b50f_display": [
            "大",
            "高"
        ],
        "address_select_1692580744482_e108c6": {
            "region_info": "中国 上海 上海市 浦东新区",
            "country_name": "中国",
            "province_name": "上海",
            "city_name": "上海市",
            "district_name": "浦东新区",
            "country_id": "4",
            "province_id": "9",
            "city_id": "73",
            "district_id": "732",
            "detail_address": "马路口驴子街"
        },
        "geo_address_1692673349914_fc5d81": {
            "latitude": 29.952211,
            "longitude": 90.080563
        },
        "usr_23269095707e8": [
            {
                "uid": 4,
                "name": "test1",
                "third_userid": null
            }
        ],
        "dept_232691000022d": [
            {
                "did": 1,
                "name": "dept1",
                "third_dept_id": null
            }
        ],
        "nest_2324013095370acf": {
            "level_0": "60943MKVMq0Erpe9dUdV7w==",
            "level_1": "WkFg1hVKiht2xdOjfhlpqQ=="
        },
        "nest_2324013095370acf_display": [
            "层级1",
            "层级2"
        ],
        "creator_uid": 1,
        "creator": {
          "uid": 1,
          "name": "test",
          "phone": null,
          "path_uid": null,
          "third_userid": null
        },
        "user_uid": 1,
        "user": {
          "uid": 1,
          "name": "test",
          "phone": null,
          "path_uid": null,
          "third_userid": null
        },
        "before_user_uid": null,
        "before_user": {
          "uid": null,
          "name": null,
          "phone": null,
          "path_uid": null,
          "third_userid": null
        },
        "update_user_uid": 1,
        "update_user": {
          "uid": 1,
          "name": "test",
          "phone": null,
          "path_uid": null,
          "third_userid": null
        },
        "department_did": 1,
        "department": {
          "did": 1,
          "name": null,
          "status": 1,
          "path_did": null,
          "third_dept_id": null
        },
        "before_department_did": null,
        "before_department": {
          "did": null,
          "name": null,
          "status": null,
          "path_did": null,
          "third_dept_id": null
        },
        "user_updated_at": "2023-08-16T15:29:15.313+08:00"
    }
}
```