- 省份列表

#### 请求URL:

- ` /api/v2/location/provinces`

#### 请求方式：
- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
country_id | false | 国家Id 默认中国

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "province": [
      {
        "id": 1,
        "name": "北京",
        "pinyin": "beijing",
        "gbt_code": "110000",
        "sort": 0,
        "created_at": "2014-07-23T17:18:53.000+08:00",
        "updated_at": "2016-08-08T10:03:44.000+08:00",
        "country_id": 4
      },
      {
        "id": 2,
        "name": "天津",
        "pinyin": "tianjin",
        "gbt_code": "120000",
        "sort": 0,
        "created_at": "2014-07-23T17:18:53.000+08:00",
        "updated_at": "2016-08-08T10:03:45.000+08:00",
        "country_id": 4
      },
	  .
	  .
	  .
	  .
	  .
	  .
    ]
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述