- 城市下所有的地区

#### 请求URL:

- ` /api/v2/location/districts`

#### 请求方式：
- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
city_id | true | 城市Id |

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "district": [
      {
        "id": 1,
        "name": "东城区",
        "pinyin": null,
        "gbt_code": "110101",
        "city_id": 1,
        "sort": 0,
        "created_at": "2014-07-23T17:18:07.000+08:00",
        "updated_at": "2016-08-08T10:03:43.000+08:00"
      },
      {
        "id": 2,
        "name": "西城区",
        "pinyin": null,
        "gbt_code": "110102",
        "city_id": 1,
        "sort": 0,
        "created_at": "2014-07-23T17:18:07.000+08:00",
        "updated_at": "2016-08-08T10:03:43.000+08:00"
      },
     .
	 .
	 .
	 .
	 .
	 .
    ]
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述