#### 简要描述：

- 客户详情

#### 请求URL:

- ` /api/v2/customers/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:


**正确时返回:**

```json
{
    "code": 0,
    "data": {
        "id": 1403771,
        "name": "测试企业信息",
        "status": "332401",
        "status_mapped": "初访",
        "note": "",
        "category": "",
        "category_mapped": "",
        "labels": [],
        "source": "",
        "source_mapped": "",
        "industry": "",
        "industry_mapped": "",
        "parent": {},
        "staff_size": 0,
        "staff_size_display": "",
        "staff_size_mapped": "",
        "created_at": "2019-06-27 14:26",
        "updated_at": "2019-06-27 14:26",
        "is_own": true,
        "attachments": "暂无附件",
        "company_name": "",
        "is_has_policy_for_assist_user": true,
        "qixinbao_id": "", #判断客户是否加 V企业
        "is_my_assist_entity": false,
        "cio_pid": null,
        "is_subscribed": false,
        "creator": {
            "id": 5501230,
            "email": "",
            "created_at": "2019-04-18 21:57",
            "name": "888899999",
            "organization_id": 5500437,
            "phone": "18516501771",
            "role_id": 7991,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "http://localhost:3000/assets/male_uc.jpg",
            "department_name": "测试",
            "uid": 5515608
        },
        "before_user": {},
        "before_owned_department": {},
        "not_revisit_at_time_str": "20天未跟进",
        "history_contarct_money": 0,
        "total_have_receive_pay": 0,
        "total_not_receive_pay": 0,
        "is_editable": true,
        "flow_into_at": "",
        "contacts": [
            {
                "id": 328427,
                "name": "测试企业信息",
                "wx_external_userid": null,
                "wx_contact_type": null,
                "address": {
                    "id": 429055,
                    "tel": "8871020",
                    "tel_hidden_result": "8871020",
                    "phone": "",
                    "phone_hidden_result": ""
                }
            }
        ],
        "expect_flow_at": "",
        "will_flow_time": "",
        "need_hidden_dispose": false,
        "revisit_remind_at": "",
        "customer_common_setting_id": null,
        "before_customer_common_setting": {},
        "is_user_self": true,
        "step_can_approve": false,
        "step": 0,
        "notify_users": [],
        "can_revert_applying": false,
        "need_approve_step": 1,
        "approve_status": "approved",
        "approve_status_i18n": "已通过",
        "can_approve": true,
        "wx_external_userid": null,
        "wx_contact_type": null,
        "custom_field_template": {
            "id": 571,
            "name": "23333",
            "position": null,
            "status": 0,
            "is_usable": true
        },
        "custom_field_template_id": 571,
        "address": {
            "id": 666038,
            "country": {
                "id": 4,
                "name": "中国",
                "pinyin": ""
            },
            "province": {},
            "city": {},
            "district": {},
            "tel": "8871020",
            "tel_hidden_result": "8871020",
            "phone": "",
            "phone_hidden_result": "",
            "email": "8871020@58.com",
            "qq": "",
            "fax": "",
            "wechat": "",
            "wangwang": "",
            "zip": "",
            "url": "",
            "detail_address": "",
            "lat": 0,
            "lng": 0,
            "distance": "未知",
            "region_info": "中国",
            "off_distance": -1,
            "gaode_staticmap": "",
            "full_address": "中国 "
        },
        "user": {
            "id": 5501230,
            "email": "",
            "created_at": "2019-04-18 21:57",
            "name": "888899999",
            "organization_id": 5500437,
            "phone": "18516501771",
            "role_id": 7991,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "http://localhost:3000/assets/male_uc.jpg",
            "department_name": "试侯",
            "uid": 5515608
        },
        "owned_department": {
            "id": 5502799,
            "name": "测试"
        }
    }
}


```

**错误时返回:**


```
{
  "code": 100100,
  "message": "您没有权限查看该对象或该对象不存在。",
  "error": "active_record/record_not_found"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述