#### 简要描述：

- 查重数据配置接口

#### 请求URL:

- ` /api/v2/duplicates/field_setting`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
entity_type | true | 查重类型 （customer,lead,contact)

其他参数，请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "duplicate_fields": [
      {
        "name": "name",
        "custom_field_name": "name",
        "label": "客户名称",
        "checked": true
      },
      {
        "name": "company_name",
        "custom_field_name": "company_name",
        "label": "家庭成员",
        "checked": false
      },
      {
        "name": "phone",
        "custom_field_name": "address.phone",
        "label": "联系方式",
        "checked": true
      },
      {
        "name": "tel",
        "custom_field_name": "address.tel",
        "label": "固定电话",
        "checked": false
      },
      {
        "name": "email",
        "custom_field_name": "address.email",
        "label": "邮箱",
        "checked": false
      },
      {
        "name": "text_asset_8b1eeedd",
        "custom_field_name": "text_asset_8b1eeedd",
        "label": "年龄",
        "checked": false
      },
      {
        "name": "text_asset_591b5ebb",
        "custom_field_name": "text_asset_591b5ebb",
        "label": "跟进记录",
        "checked": false
      },
      {
        "name": "text_asset_ba76dc",
        "custom_field_name": "text_asset_ba76dc",
        "label": "手记",
        "checked": false
      }
    ]
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|custom_field_name |string   |查重的字段值  |
|checked |boolean   |查重字段是否可用  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述