#### 简要描述：

- 查重搜索接口


#### 请求URL:

- `/api/v2/duplicates/search`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 页码
per_page | false | 每页的数量
query | true | 查重字段
entity_type | true | 查重类型 customer

- ##### url请求参数案例
....&entity_type=customer&query=测试1

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "customers": [
      {
        "id": 2099967,
        "name": "测试12345",
        "is_common": false,
        "is_own": true,
        "is_user_self": false,
        "is_showable": true,
        "is_common_member": null,
        "is_common_admin": null,
        "common_id": null,
        "is_allow_grab": false,
		"is_allow_transfer":true,
        "user.name": "iOS审核专用（勿删）",
        "values": [
          {
            "name": "user.name",
            "label": "负责人",
            "value": "iOS审核专用（勿删）"
          },
          {
            "name": "created_at",
            "label": "创建时间",
            "value": "2016-12-06 10:10"
          }
        ],
        "created_at": "2016-12-06 10:10"
      }
    ],
    "total_count": 2
  }
}

```

**错误时返回:**


```json

{
  "code": -1,
  "message": "查询结果数量太多，请填写更详细的查询数据"
}
```

#### 返回参数说明:

|参数名|说明|
|:-----  |-----                           |
|is_common |是否公海数据  |
|is_user_self |是否自己的数据  |
|is_common_member |是否公海成员  |
|is_common_admin |是否公海管理员  |
|common_id |公海ID  |
is_allow_transfer | 是否允许转移

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述