#### 简要描述：

- 更新协作人

#### 请求URL:

- `/api/v2/customers/:id/turn_common?common_id=:common_id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户id，替换掉url的 :id
id | true | 公海id，替换掉url的 :common_id

#### 请求方式：

- PUT

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 其它参数请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "customers": [
      {
        "id": 2354,
        "name": "浙大网新科技股份有限公司",
        "user_id": 470,
        "status": "13398",
        "status_mapped": "成交",
        "address": {
          "id": 11756,
          "tel": "057189813202",
          "phone": ""
        },
        "contacts": [
          {
            "id": 1867,
            "name": "崔玉增",
            "user_id": 470,
            "category": "",
            "category_mapped": "",
            "gender": null,
            "customer_id": 2354,
            "gender_i18n": "",
            "is_own": true
          }
        ]
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1,
    "notice": ""
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述