#### 简要描述：

- 费用筛选条件

#### 请求URL:

- `/api/v2/expenses/filter_sort_group`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json
{
  "code": 0,
  "data": {
    "filters": [
      {
        "label": "费用类型",
        "field_name": "category",
        "filter_field_type": "link"
      },
      {
        "label": "发生时间",
        "field_name": "incurred_at",
        "filter_field_type": "time"
      },
      {
        "label": "负责人",
        "field_name": "user_id",
        "filter_field_type": "user"
      },
      {
        "label": "创建时间",
        "field_name": "created_at",
        "filter_field_type": "time"
      },
      {
        "label": "报销状态",
        "field_name": "expense_status",
        "filter_field_type": null
      }
    ],
    "sorts": [
      {
        "name": "sort",
        "label": "更新时间倒序",
        "value": "updated_at",
        "order": "desc"
      },
      {
        "name": "sort",
        "label": "创建时间倒序",
        "value": "created_at",
        "order": "desc"
      },
      {
        "name": "sort",
        "label": "产生时间倒序",
        "value": "incurred_at",
        "order": "desc"
      }
    ]
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述