#### 简要描述：

- 拜访签到详情

#### 请求URL:

- `/api/v2/checkins/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 拜访签到的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "comments": [],
    "comments_count": 0,
    "id": 592,
    "lat": 0,
    "lng": 0,
    "message": "",
    "category": "",
    "category_display": "",
    "category_i18n": "",
    "created_at": "2015-07-29 17:26",
    "remind_at": "",
    "checkin_at": "",
    "sales_activity": {},
    "checkable_type": "Customer",
    "checkable": {
      "customer": {
        "id": 1,
        "name": "自定义字段",
        "name_pinyin": "zidingyiziduan",
        "user_id": 1,
        "user_name": "default",
        "contacts": [],
        "company_name": "",
        "address": {},
        "revisit_at": "2015-11-25T10:13:34.000+08:00",
        "is_own": true,
        "status": "7",
        "status_mapped": "初访",
        "category": "",
        "category_mapped": ""
      }
    },
    "user": {
      "id": 1,
      "email": "test@qq.com",
      "created_at": "2015-06-09T15:46:06.000+08:00",
      "name": "default",
      "organization_id": 1,
      "phone": "",
      "role_id": 0,
      "workflow_state": "new",
      "job": "Shgsg",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/30/avatar.?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总裁办"
    },
    "attachments": [],
    "address": {
      "id": 1000,
      "country": {},
      "province": {},
      "city": {},
      "district": {},
      "tel": "010-65880961",
      "phone": "13888001181",
      "email": "zhaoning2@web.com",
      "qq": "88883272",
      "fax": "",
      "wechat": "weix961",
      "wangwang": "888822849",
      "zip": "100960",
      "url": "",
      "detail_address": "北京市朝阳区朝阳门外大街18号丰联广场A座第9层",
      "lat": 0,
      "lng": 0,
      "distance": "0m",
      "region_info": "",
      "off_distance": 0,
      "gaode_staticmap": ""
    }
  }
}
```

**错误时返回:**


```
{
  "code": 100100,
  "message": "您没有权限查看该对象或该对象不存在。",
  "error": "active_record/record_not_found"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述