#### 简要描述：

- 公海客户相关合同列表

#### 请求URL:

- `/api/v2/common_customers/:id/contracts`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户ID

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:



#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "contracts": [
      {
        "id": 62170,
        "category": "3485",
        "category_mapped": "直销合同",
        "payment_type": "3490",
        "payment_type_mapped": "支票",
        "status": "51572",
        "status_mapped": "未开始",
        "organization_id": 49,
        "user_id": 254,
        "user_name": "周星驰",
        "title": "xiangbao",
        "customer_id": 1370000,
        "customer_name": "中国移动35",
        "opportunity_id": 0,
        "opportunity_title": null,
        "total_amount": "950000.0",
        "start_at": "2016-05-28",
        "end_at": "2016-06-09",
        "customer_signer": "",
        "our_signer": "",
        "special_terms": "",
        "received_payments_amount": "0.0",
        "unreceived_amount": 950000.0,
        "checking_payments_amount": "",
        "approve_status": "draft",
        "approve_status_i18n": "草稿",
        "approve_deny_type": 0,
        "updated_at": "2016-11-24 18:57:15",
        "created_at": "2016-05-28 12:42",
        "creator": {
          "id": 256,
          "email": "11111111@ikcrm.com",
          "created_at": "2014-11-06 22:46",
          "name": "刘德华",
          "organization_id": 49,
          "phone": "18611111111",
          "role_id": 0,
          "workflow_state": "organization_staff",
          "job": "职员",
          "tel": "",
          "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/544/icon_80.png?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
          "department_name": ""
        },
        "is_user_self": false
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----  |
|is_user_self |boolean   |是否自己的数据  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述