#### 简要描述：

- 公海客户详情

#### 请求URL:

- ` /api/v2/common_customers/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "data": {
    "id": 30111238,
    "name": "1212121",
    "status": "3462",
    "status_mapped": "待联系",
    "note": "",
    "category": "15131",
    "category_mapped": "B(普通客户)",
    "labels": [
    ],
    "source": "",
    "source_mapped": "",
    "industry": "",
    "industry_mapped": "",
    "parent": {
    },
    "staff_size": 0,
    "staff_size_display": "",
    "staff_size_mapped": "",
    "created_at": "2019-01-22 09:27",
    "updated_at": "2019-02-07 16:03",
    "is_own": true,
    "attachments": "暂无附件",
    "company_name": "",
    "is_has_policy_for_assist_user": true,
    "qixinbao_id": "",
    "is_my_assist_entity": false,
    "cio_pid": null,
    "is_subscribed": false,
    "creator": {
      "id": 419462,
      "email": "denghuang@ikcrm.com",
      "created_at": "2018-05-09 10:05",
      "name": "邓煌",
      "organization_id": 49,
      "phone": "18428362926",
      "role_id": 169,
      "workflow_state": "organization_staff",
      "job": "",
      "tel": "",
      "avatar_url": "https://e.ikcrm.com/assets/male_uc.jpg",
      "department_name": "总经理办公室"
    },
    "before_user": {
      "id": 364514,
      "email": "18500000000@qq.com",
      "created_at": "2018-01-10 10:10",
      "name": "刘双",
      "organization_id": 49,
      "phone": "18500000000",
      "role_id": 171,
      "workflow_state": "organization_staff",
      "job": "",
      "tel": "",
      "avatar_url": "https://e.ikcrm.com/assets/male_uc.jpg",
      "department_name": "总经理办公室"
    },
    "before_owned_department": {
      "id": 395,
      "name": "总经理办公室"
    },
    "not_revisit_at_time_str": "36天未跟进",
    "history_contarct_money": 0.0,
    "total_have_receive_pay": 0.0,
    "total_not_receive_pay": 0.0,
    "is_editable": true,
    "flow_into_at": "2019-02-07 16:03",
    "contacts": [
    ],
    "expect_flow_at": "",
    "will_flow_time": "",
    "need_hidden_dispose": false,
    "revisit_remind_at": "",
    "customer_common_setting_id": 45,
    "before_customer_common_setting": {
      "id": 45,
      "name": "公司公海"
    },
    "is_user_self": false,
    "step_can_approve": false,
    "step": 0,
    "notify_users": [
    ],
    "can_revert_applying": false,
    "need_approve_step": 1,
    "approve_status": "approved",
    "approve_status_i18n": "已通过",
    "can_approve": true,
    "wx_external_userid": null,
    "wx_contact_type": null,
    "custom_field_template": {
      "id": 1519,
      "name": "市场",
      "position": null,
      "status": 0,
      "is_usable": true
    },
    "custom_field_template_id": 1519,
    "text_asset_8b1eeedd": "",
    "text_asset_591b5ebb": "",
    "text_asset_1ff29b93": "KH20190122001",
    "text_asset_4a1eb9": [
    ],
    "text_asset_ba76dc": "",
    "text_asset_170ab3": [
    ],
    "text_asset_2aadea2a": "",
    "text_asset_ba76dc_hidden_result": "",
    "text_asset_2aadea2a_display": null,
    "text_asset_4a1eb9_display": "",
    "text_asset_170ab3_display": "",
    "address": {
      "id": 33584939,
      "country": {
        "id": 4,
        "name": "中国",
        "pinyin": "a1"
      },
      "province": {
      },
      "city": {
      },
      "district": {
      },
      "tel": "",
      "tel_hidden_result": "",
      "phone": "",
      "phone_hidden_result": "",
      "email": "",
      "qq": "",
      "fax": "",
      "wechat": "",
      "wangwang": "",
      "zip": "",
      "url": "",
      "detail_address": "上海博物馆",
      "lat": 31.228245,
      "lng": 121.47553,
      "distance": "0米",
      "region_info": "中国",
      "off_distance": -1,
      "gaode_staticmap": "http://restapi.amap.com/v3/staticmap?key=6336624d908c499cace3998613723a3a&location=121.47553%2C31.228245&markers=mid%2C%2CA%3A121.47553%2C31.228245&scale=2&size=524%2A180&zoom=16",
      "full_address": "中国 上海博物馆"
    },
    "user": null,
    "owned_department": null,
    "assist_users": "",
    "products": "",
    "is_common_admin": true,
    "is_allow_grab": false
  }
}
```

**错误时返回:**

```
{
  "code": 100100,
  "message": "您没有权限查看该对象或该对象不存在。",
  "error": "active_record/record_not_found"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述