#### 简要描述：

- 转移公海客户

#### 请求URL:

- `/api/v2/common_customers/:id/transfer`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户的id，替换掉url的:id

- 必须是公海公海管理员, 转移给公海成员

#### 请求方式：

- PUT

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户id
user_id | true | 转移到的用户id

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "id": 30111238,
    "name": "1212121",
    "category": "15131",
    "source": "",
    "industry": "",
    "staff_size": "",
    "note": "",
    "created_at": "2019-01-22 09:27",
    "updated_at": "2019-02-28T16:56:58.762+08:00",
    "organization_id": 49,
    "user_id": 387590,
    "parent_id": null,
    "path": "0/30111238",
    "status": "3462",
    "department_id": 205216,
    "name_pinyin": "1212121",
    "revisit_at": "2019-02-28T16:56:58.762+08:00",
    "real_revisit_at": "2019-01-23T08:47:21.000+08:00",
    "revisit_remind_at": null,
    "company_name": "",
    "qixinbao_id": null,
    "cio_pid": null,
    "creator_id": 419462,
    "before_user_id": 364514,
    "before_department_id": 395,
    "flow_into_at": "2019-02-07T16:03:25.000+08:00",
    "status_updated_at": "2019-01-22T09:27:34.000+08:00",
    "customer_common_setting_id": null,
    "before_customer_common_setting_id": 45,
    "approve_status": "approved",
    "approve_deny_type": 0,
    "step": null,
    "submit_applying_at": null,
    "finish_approve_at": null,
    "pending_step": null,
    "custom_field_template_id": 1519,
    "channel": "",
    "status_mapped": "待联系"
  }
}
```

**错误时返回:**

```
{
  "code": 100100,
  "message": "您没有权限查看该对象或该对象不存在。",
  "error": "active_record/record_not_found"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述