#### 简要描述：

- 协作人列表

#### 请求URL:

- ` /api/v2/contracts/:id/assist_users`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
query | false | 搜索关键字

#### 返回示例:

**正确时返回:**

``` json
{
  "code": 0,
  "data": {
    "assist_users": [
      {
        "id": 387590,
        "email": "15657158701@163.com",
        "created_at": "2018-04-10 11:09",
        "name": " 三合",
        "organization_id": 49,
        "phone": "15657158701",
        "role_id": 170,
        "workflow_state": "organization_staff",
        "job": "主管",
        "tel": "",
        "avatar_url": "https://e.ikcrm.com/assets/female_uc.jpg",
        "department_name": "000"
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述