#### 简要描述：

- 合同列表

#### 请求URL:

- `/api/v2/contracts/by_name`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
approve_status | false | 这是 approve_status
query | false | 合同标题、合同编号
customer_id | false | 客户id

<font color='#FF00000'>
备注:

1.日期相关自定义查询  如 创建时间 `created_at[]=2019-01-01&created_at[]=2019-02-01` 不支持到时分秒的查询条件

</font>

#### 返回示例:

**正确时返回:**

``` json
{
  "code": 0,
  "data": {
    "contracts": [
      {
        "id": 5,
        "category": "43",
        "category_mapped": "直销合同",
        "payment_type": "48",
        "payment_type_mapped": "支票",
        "status": "52",
        "status_mapped": "未开始",
        "organization_id": 1,
        "user_id": 1,
        "user_name": "default",
        "title": "123",
        "customer_id": 16,
        "customer_name": "华谊兄弟20",
        "opportunity_id": 0,
        "opportunity_title": null,
        "total_amount": "12.0",
        "start_at": "2015-06-26",
        "end_at": "",
        "customer_signer": "",
        "our_signer": "",
        "special_terms": "",
        "received_payments_amount": "0.0",
        "unreceived_amount": 12,
        "checking_payments_amount": "0.0",
        "approve_status": "approved",
        "approve_deny_type": 0,
        "updated_at": "2015-06-26 19:25:52"
      }
    ],
    "total_count": 13,
    "per_page": 1,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|is_user_self |boolean   |是否自己的数据  |
|approve_status |string   |审批状态(approved:审批通过,)  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述