#### 简要描述：

- 回款计划详情

#### 请求URL:

- `/api/v2/contracts/:contract_id/received_payments/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
contract_id | true | 合同的id，替换掉url的:id
id | true | 合同回款计划:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "id": 12,
    "title":"2015年08月22日（第1期）",
    "receive_stage": 1,
    "payment_type": "",
    "payment_type_i18n": "",
    "created_at": "2015-10-21 11:43",
    "amount": "12.0",
    "note": "",
    "receive_date": "2015-10-21",
    "unreceived_amount": 2120,
    "received_types": "",
    "received_types_mapped": "",
    "invoice_amount": "0.0",
    "approve_status": "approved",
    "approve_status_i18n": "已通过",
    "user": {
      "id": 1,
      "email": "test@qq.com",
      "created_at": "2015-06-09T15:46:06.000+08:00",
      "name": "default",
      "organization_id": 1,
      "phone": "",
      "role_id": 0,
      "workflow_state": "new",
      "job": "Shgsg",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/30/avatar.?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总裁办"
    },
    "receive_user": {
      "id": 1,
      "email": "test@qq.com",
      "created_at": "2015-06-09T15:46:06.000+08:00",
      "name": "default",
      "organization_id": 1,
      "phone": "",
      "role_id": 0,
      "workflow_state": "new",
      "job": "Shgsg",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/30/avatar.?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总裁办"
    },
    "contract": {
      "id": 16,
      "category": "43",
      "category_mapped": "直销合同",
      "payment_type": "48",
      "payment_type_mapped": "支票",
      "status": "52",
      "status_mapped": "未开始",
      "organization_id": 1,
      "user_id": 1,
      "user_name": "default",
      "title": "edsfsf",
      "customer_id": 29,
      "customer_name": "weed",
      "opportunity_id": 0,
      "opportunity_title": null,
      "total_amount": "2132.0",
      "start_at": "2015-09-23",
      "end_at": "",
      "customer_signer": "",
      "our_signer": "",
      "special_terms": "",
      "received_payments_amount": "12.0",
      "unreceived_amount": 2120,
      "checking_payments_amount": "0.0",
      "approve_status": "approved",
      "approve_deny_type": 0,
      "updated_at": "2015-10-20 09:58:11"
    }
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述