#### 简要描述：

- 更新合同回款计划

#### 请求URL:

- `/api/v2/contracts/:id/received_payment_plans/:receive_payment_plan_id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 合同的id，替换掉url的:id
receive_payment_plan_id | true | 合同回款计划ID

#### 请求方式：

- PUT

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

### 请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
received_payment_plan[receive_date] | true | 回款日期
received_payment_plan[receive_stage] | true | 回款期数
received_payment_plan[amount] | true | 计划回款金额
received_payment_plan[invoice_amount] | false | 开票金额
received_payment_plan[payment_type] | false | 付款方式
received_payment_plan[receive_user_id] | true | 收款人id
received_payment_plan[received_types] | false | 回款类型
received_payment_plan[note] | false | 备注

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "id": 15,
    "title":"2015年08月22日（第1期）",
    "receive_stage": 1,
    "paid_up": true,
    "payment_type": "29",
    "payment_type_i18n": "支票",
    "created_at": "2015-09-12 13:38",
    "amount": "4.0",
    "note": "丝丝2",
    "receive_date": "2015-09-26",
    "unreceived_amount": 88.0,
    "received_types": "67033",
    "received_types_mapped": "",
    "invoice_amount": "4.0",
    "received_amount": 20.5,
    "user": {
      "id": 1,
      "email": "test@qq.com",
      "created_at": "2014-07-23T18:43:54.000+08:00",
      "name": "ifool",
      "organization_id": 1,
      "phone": "15821940127",
      "role_id": 1023,
      "workflow_state": "organization_owner",
      "job": " 我们自己",
      "tel": "45874554",
      "gender": "male",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/7189/bower-logo.png?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient"
    },
    "receive_user": {
      "id": 113,
      "email": "306258927@qq.com",
      "created_at": "2014-10-21T19:15:33.000+08:00",
      "name": "胡伟",
      "organization_id": 1,
      "phone": "15000410210",
      "role_id": 3,
      "workflow_state": "organization_staff",
      "job": "开发",
      "tel": "",
      "gender": "male",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/2256/header.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient"
    },
    "contract": {
      "id": 2013,
      "category": "24",
      "category_mapped": "直销合同",
      "payment_type": "29",
      "payment_type_mapped": "支票",
      "status": "38",
      "status_mapped": "意外终止",
      "organization_id": 1,
      "user_id": 1,
      "user_name": "ifool",
      "title": "草稿合同",
      "customer_id": 50532,
      "customer_name": "张三李四",
      "opportunity_id": 0,
      "opportunity_title": null,
      "total_amount": "88.0",
      "start_at": "2015-08-17",
      "end_at": "2015-08-27",
      "customer_signer": "",
      "our_signer": "",
      "special_terms": "",
      "received_payments_amount": "0.0",
      "unreceived_amount": 88.0,
      "checking_payments_amount": "0.0",
      "approve_status": "approved",
      "approve_deny_type": 0,
      "updated_at": "2015-08-25 19:28:21"
    }
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述