#### 简要描述：

- 创建合同金额票据

#### 请求URL:

- `/api/v2/contracts/:contract_id/invoiced_payments`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
contract_id | true | 合同的id，替换掉url的:contract_id

#### 请求方式：

- PUT

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

### 请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
invoiced_payment[amount] | true | 开票金额
invoiced_payment[invoiced_date] | true  | 开票日期
invoiced_payment[invoice_no] | false  | 发票号码
invoiced_payment[content] | true | 票据内容
invoiced_payment[invoice_types] | true | 票据类型
invoiced_payment[broker_user_id] | true | 经手人
invoiced_payment[note] | false | 备注

#### 返回示例:

**正确时返回:**

```json
{
    "code": 0,
    "data":{
        "id": 6,
        "user_id": 1,
        "amount": 1,
        "note": "1１１１１１.0",
        "invoiced_date": "2016-12-11",
        "invoice_no": "1001",
        "content": "啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊",
        "created_at": "2016-12-02T18:04:47.000+08:00",
        "broker_user": {},
        "contract": {
            "id": 35,
            "title": "试试撒大"
        },
        "invoice_types": "",
        "invoice_types_mapped": ""
    }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述