#### 简要描述：

- 线索二级筛选条件接口

#### 请求URL:

- ` /api/v2/leads/:field_name/filter_options`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
field_name | true | 一级筛选条件值

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "options": [
      {
        "label": "不限",
        "name": "status",
        "value": ""
      },
      {
        "label": "未处理",
        "value": "20158",
        "name": "status"
      },
      {
        "label": "已处理",
        "value": "20159",
        "name": "status"
      },
      {
        "label": "关闭",
        "value": "20160",
        "name": "status"
      }
    ],
    "total_count": 15,
    "per_page": 15,
    "page": 1
  }
}

```

**错误时返回:**



```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|name |string   |筛选条件名称  |
|value |string   |筛选条件值  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述