#### 简要描述：

- 协作人列表接口

#### 请求URL:

- `/api/v2/opportunities/:id/assist_users`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 商机的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
query | false | name查询
page | false | 页码
per_page | false | 每页条数

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "data": {
    "assist_users": [
      {
        "id": 2,
        "email": "wp@qq.com",
        "created_at": "2015-06-10T11:06:45.000+08:00",
        "name": "test",
        "organization_id": 1,
        "phone": "15921076830",
        "role_id": 0,
        "workflow_state": "organization_staff",
        "job": "",
        "tel": "",
        "avatar_url": "http://localhost:3000/assets/male.jpg",
        "department_name": "销售部"
      }
    ],
    "total_count": 2,
    "per_page": 1,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述