#### 简要描述：

- 商机筛选条件接口

#### 请求URL:

- ` /api/v2/opportunities/filter_sort_group`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:
通用参数

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "filters": [
      {
        "label": "销售状态",
        "field_name": "stage",
        "filter_field_type": "select"
      },
      {
        "label": "预计成交",
        "field_name": "expect_sign_date",
        "filter_field_type": "select"
      },
      {
        "label": "最新跟进时间",
        "field_name": "last_revisit_at",
        "filter_field_type": "select"
      },
      {
        "label": "产品筛选",
        "field_name": "product_id",
        "filter_field_type": "select"
      },
      {
        "label": "部门",
        "field_name": "department_id",
        "filter_field_type": "select",
        "filters": [
          {
            "label": "全部用户",
            "field_name": "user_id",
            "filter_field_type": "query_select"
          }
        ]
      }
    ],
    "sorts": [
      {
        "name": "sort",
        "label": "默认排序",
        "value": "",
        "order": ""
      },
      {
        "name": "sort",
        "label": "按签单可能性",
        "value": "sign_possibility",
        "order": "desc"
      },
      {
        "name": "sort",
        "label": "按预计签单日期",
        "value": "expect_sign_date",
        "order": "asc"
      },
      {
        "name": "sort",
        "label": "按销售额",
        "value": "expect_amount",
        "order": "desc"
      },
      {
        "name": "sort",
        "label": "按跟进时间倒序",
        "value": "activity",
        "order": "desc"
      }
    ]
  }
}
```

**错误时返回:**



```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|field_name |string   |二级筛选条件值  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述