#### 简要描述：

- 产品列表

#### 请求URL:

- `/api/v2/products`

#### 请求方式：
- GET

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 页码
per_page | false | 每页的数量
query | false | 搜索关键字

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "products": [
      {
        "id": 1,
        "name": "折叠旅行双肩包",
        "product_no": "1151600030",
        "category": 0,
        "category_mapped": "",
        "standard_unit_price": "59.0",
        "sale_unit": "个",
        "introduction": "折叠前43*31*14CM（折叠后21.5*27*4CM）",
        "attachment": {},
        "gross_margin": "",
        "unit_cost": 20,
        "product_category": {
          "id": 1,
          "name": "默认分类"
        }
      }
    ],
    "total_count": 17,
    "per_page": 1,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述