#### 简要描述：

- 产品列表

#### 请求URL:

- `/api/v2/products`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
product_category_id | false | 产品分类的id
is_iced | false | 是否冻结，可选值： `true`、 `false` ，如果传了 `true` 则只显示冻结的产品，否则显示全部产品

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json
{
  "code": 0,
  "data": {
    "product_categories": [
      {
        "id": 1,
        "name": "上海区域1",
        "self_and_parents_name": "上海区域1",
        "product_count": 1
      },
      {
        "id": 2,
        "name": "浙江区域2",
        "self_and_parents_name": "浙江区域2",
        "product_count": 5
      }
    ],
    "products": [
      {
        "id": 1,
        "name": "prod1",
        "product_no": "Y-111",
        "standard_unit_price": "1.2",
        "sale_unit": "18.11",
        "introduction": "intro",
        "attachment": {},
        "gross_margin": "100.0%",
        "unit_cost": "0.0",
        "created_at": "2019-03-30 13:43",
        "updated_at": "2019-03-30 13:43",
        "is_edit": true,
        "iced": false,
        "product_category": {
          "id": 1,
          "name": "111",
          "self_and_parents_name": "上海区域1/xxx",
          "product_count": 0
        },
		"price_policy": "unit",
        "product_attr_names": null,
        "is_user_self": false,
        "text_asset_b2cc3f": "text_asset_value",
        "text_asset_2bd1b5": [],
		product_attrs": []
	}
	]
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述