#### 简要描述：

- 产品分类列表

#### 请求URL:

- `/api/v2/product_categories`

#### 请求方式：
- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 页码
per_page | false | 每页的数量
name | false | 搜索关键字

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "products": [
      {
        "id": 306,
        "name": "  dalianhaijun",
        "parent_id": null
      },
      {
        "id": 323,
        "name": "    类别3",
        "parent_id": 306
      },
      {
        "id": 324,
        "name": "      类别5",
        "parent_id": 323
      },
      {
        "id": 382,
        "name": "        刘超测试又加了个分类",
        "parent_id": 324
      },
      {
        "id": 383,
        "name": "          刘超测试又又加了个分类",
        "parent_id": 382
      },
      {
        "id": 48,
        "name": "  默认分类",
        "parent_id": null
      },
      {
        "id": 312,
        "name": "    zq测试1",
        "parent_id": 48
      },
      {
        "id": 313,
        "name": "    zq测试2",
        "parent_id": 48
      },
      {
        "id": 314,
        "name": "      zq测试22",
        "parent_id": 313
      },
      {
        "id": 321,
        "name": "    类别1 ",
        "parent_id": 48
      },
      {
        "id": 322,
        "name": "    类别2",
        "parent_id": 48
      }
    ],
    "total_count": 11,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----  |
|parent_id | int   | 上级分类ID  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述