#### 简要描述：

- 更新产品

#### 请求URL:

- `/api/v2/products/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 产品的id，替换掉url的:id

#### 请求方式：

- PUT

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
product[name] | false | 产品名
product[product_no] | false | 产品编号
product[standard_unit_price] | false | 标准单价
product[sale_unit] | false | 销售单位
product[introduction] | false | 产品介绍
product[unit_cost] | false | 单位成本
product[product_category_id] | false | 产品分类id
attachment_id | false | 产品图片id

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "id": 88,
    "quantity": 123,
    "product": {
      "id": 2,
      "name": "折叠旅行双肩包1",
      "product_no": "1151600031",
      "category": 0,
      "category_mapped": "",
      "standard_unit_price": "60.0",
      "sale_unit": "个",
      "introduction": "折叠前43*31*14CM（折叠后21.5*27*4CM）",
      "attachment": {},
      "gross_margin": "",
      "unit_cost": 21,
      "product_category": {
        "id": 1,
        "name": "默认分类"
      }
    },
    "standard_unit_price": "60.0",
    "total_price": 7380,
    "sale_unit": "个"
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述