#### 简要描述：

- 工作报告列表

#### 请求URL:

- `/api/v2/schedule_reports`

#### 请求方式：
- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 页码
per_page | false | 每页的数量
tab_type | false | tab类型 默认空，可传值 to_me,my, sub

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "schedule_reports": [
      {
        "id": 12192,
        "user_id": 700,
        "user_name": "小龙-test环境",
        "due_at": "2018-07-22",
        "summary": "扣LOL哦哦",
        "schedule": "路口咯莫",
        "cycle_name": "weekly",
        "read": true,
        "marked": true,
        "is_cc": false,
        "date_range": "2018-07-16~2018-07-22",
        "created_at": "2018-07-17 14:11",
        "sales_circle_id": 0,
        "have_audios": false,
        "user": {
          "id": 700,
          "email": "79507452@qq.com",
          "created_at": "2015-07-01 18:17",
          "name": "小龙-test环境",
          "organization_id": 57,
          "phone": "18699999999",
          "role_id": 418,
          "workflow_state": "organization_staff",
          "job": "开发主管",
          "tel": "",
          "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
          "department_name": "总裁办"
        }
      },
      {
        "id": 12197,
        "user_id": 700,
        "user_name": "小龙-test环境",
        "due_at": "2018-07-08",
        "summary": "去外婆logo",
        "schedule": "恭喜你咯咯",
        "cycle_name": "weekly",
        "read": true,
        "marked": false,
        "is_cc": false,
        "date_range": "2018-07-02~2018-07-08",
        "created_at": "2018-07-17 15:46",
        "sales_circle_id": 0,
        "have_audios": false,
        "user": {
          "id": 700,
          "email": "79507452@qq.com",
          "created_at": "2015-07-01 18:17",
          "name": "小龙-test环境",
          "organization_id": 57,
          "phone": "18699999999",
          "role_id": 418,
          "workflow_state": "organization_staff",
          "job": "开发主管",
          "tel": "",
          "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
          "department_name": "总裁办"
        }
      }
    ],
    "total_count": 2,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述