#### 简要描述：

- 工作报告筛选条件

#### 请求URL:

- `/api/v2/schedule_reports/filter_sort_group`

#### 请求方式：
- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

### 请求参数说明
字段名 | 是否必填 | 描述
--------- | ------- | -----------
tab_type | false | 值的范围 in [to_my, sub]

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": [
    {
      "name": "报告类别",
      "filters": [
        {
          "name": "cycle",
          "label": "周报",
          "value": "weekly",
          "select": true
        },
        {
          "name": "cycle",
          "label": "月报",
          "value": "monthly",
          "select": false
        }
      ]
    },
    {
      "name": "报告用户",
      "filters": [
        {
          "name": "user_id",
          "label": "不限",
          "value": ""
        },
        {
          "name": "user_id",
          "label": "18677777777",
          "value": "5500411"
        },
        {
          "name": "user_id",
          "label": "BBC",
          "value": "160"
        },
        {
          "name": "user_id",
          "label": "催经理",
          "value": "490"
        },
        {
          "name": "user_id",
          "label": "大",
          "value": "443"
        },
        {
          "name": "user_id",
          "label": "海大叔",
          "value": "2225558"
        },
        {
          "name": "user_id",
          "label": "胡广文",
          "value": "21055"
        },
        {
          "name": "user_id",
          "label": "ios经理",
          "value": "429"
        },
        {
          "name": "user_id",
          "label": "老大哥",
          "value": "439"
        },
        {
          "name": "user_id",
          "label": "老吴",
          "value": "426"
        },
        {
          "name": "user_id",
          "label": "老小",
          "value": "440"
        },
        {
          "name": "user_id",
          "label": "刘1",
          "value": "2221335"
        },
        {
          "name": "user_id",
          "label": "刘超-test环境",
          "value": "699"
        },
        {
          "name": "user_id",
          "label": "妹子",
          "value": "863"
        },
        {
          "name": "user_id",
          "label": "test",
          "value": "475"
        },
        {
          "name": "user_id",
          "label": "test11",
          "value": "476"
        },
        {
          "name": "user_id",
          "label": "王经理",
          "value": "425"
        },
        {
          "name": "user_id",
          "label": "王尧",
          "value": "566"
        },
        {
          "name": "user_id",
          "label": "小",
          "value": "445"
        },
        {
          "name": "user_id",
          "label": "小IOS",
          "value": "432"
        },
        {
          "name": "user_id",
          "label": "小龙-test环境",
          "value": "700"
        },
        {
          "name": "user_id",
          "label": "销售主管",
          "value": "627"
        },
        {
          "name": "user_id",
          "label": "仪修",
          "value": "1969"
        },
        {
          "name": "user_id",
          "label": "仪修Test",
          "value": "441"
        },
        {
          "name": "user_id",
          "label": "余松-测试环境",
          "value": "719"
        },
        {
          "name": "user_id",
          "label": "中",
          "value": "444"
        }
      ]
    }
  ]
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述