## 转移线索池
### HTTP Request

`PUT  /api/v2/common_leads/:id/transfer`

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 线索id
user_id | true | 转移到的用户id

> 返回数据

```json
{
    "code": 0,
    "data": {
        "id": 83022,
        "name": "线索池导入977",
        "company_name": "导入公司977",
        "status": "64180",
        "source": "",
        "source_mapped": "",
        "department": "",
        "job": "",
        "note": "主营外贸销售，代理国外一线品牌",
        "created_at": "2018-07-30 13:33",
        "status_mapped": "未处理",
        "updated_at": "2018-07-30 13:33",
        "is_own": true,
        "status_display": "未处理",
        "attachment": {},
        "turned_to_customer": false,
        "revisit_remind_at": "",
        "turned_customer_id": 0,
        "turned_to_customer_name": "",
        "qixinbao_id": "",
        "creator": {
            "id": 22218,
            "email": "",
            "created_at": "2018-03-26 10:12",
            "name": "lll",
            "organization_id": 10578,
            "phone": "",
            "role_id": 1912,
            "workflow_state": "new",
            "job": "",
            "tel": "",
            "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
            "department_name": "金银花牛黄片"
        },
        "is_editable": true,
        "is_user_self": true,
        "card_attachment": {},
        "text_asset_65e11f": "自定义字段",
        "file_asset_7f77c2": [],
        "text_area_asset_a5cbb2": null,
        "text_asset_2baca2": [],
        "need_hidden_dispose": false,
        "text_asset_2baca2_display": "",
        "user": {
            "id": 22218,
            "email": "",
            "created_at": "2018-03-26 10:12",
            "name": "lll",
            "organization_id": 10578,
            "phone": "",
            "role_id": 1912,
            "workflow_state": "new",
            "job": "",
            "tel": "",
            "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
            "department_name": "金银花牛黄片"
        },
        "address": {
            "id": 276673,
            "country": {},
            "province": {},
            "city": {},
            "district": {},
            "tel": "010-25360977",
            "tel_hidden_result": "010-25360977",
            "phone": "1342690977",
            "phone_hidden_result": "1342690977",
            "email": "",
            "qq": "",
            "fax": "",
            "wechat": "",
            "wangwang": "",
            "zip": "",
            "url": "",
            "detail_address": "北京市朝阳区朝阳门外大街18号丰联广场A座第9层",
            "lat": 0,
            "lng": 0,
            "distance": "未知",
            "region_info": null,
            "off_distance": -1,
            "gaode_staticmap": "",
            "full_address": "北京市朝阳区朝阳门外大街18号丰联广场A座第9层"
        },
        "owned_department": {
            "id": 4337,
            "name": "金银花牛黄片"
        },
        "before_user": {
            "id": 22218,
            "email": "",
            "created_at": "2018-03-26 10:12",
            "name": "lll",
            "organization_id": 10578,
            "phone": "",
            "role_id": 1912,
            "workflow_state": "new",
            "job": "",
            "tel": "",
            "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
            "department_name": "金银花牛黄片"
        },
        "before_owned_department": {
            "id": 4337,
            "name": "金银花牛黄片"
        }
    },
    "message": "线索池导入977"
}

```