#### 简要描述：

- 定时任务操作


#### 请求URL:

- `/api/pc/robots/robot_import_task_operation`

#### 请求方式：

- POST

#### 请求头：

- 请参考[开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 请求参数:

字段名 | 是否必填 | 描述 | 参数示例(默认)
--------- | ------- | ----------- | ----------
common_type | true | 公海/线索池 | CustomerCommon/LeadCommon
common_id | true | 公海/线索池ID
id | true | 定时任务id | 
operation_type | true | 操作类型 | 开始start,暂停suspend,停止stop,删除delete

#### 返回示例:

**正确时返回:**

``` json
{
  "code": 0,
  "message": "接口请求成功"
}

```

**错误时返回:**


```json

{
  "code": -1,
  # 当前任务不是已暂停任务，不可开始！
  # 当前任务不是待执行任务，不可暂停！
  # 当前任务不是待执行或已暂停任务，不可停止！
  # 当前任务正在执行中，不可删除！
  "message": "当前任务正在执行中，不可删除！"
}
```


#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述