#### 简要描述：

- 打开创建任务弹框判断：判断是否可以创建自动任务


#### 请求URL:

- `/api/pc/robots/has_task`

#### 请求方式：

- GET

#### 请求头：

- 请参考[开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 请求参数:

字段名 | 是否必填 | 描述 | 参数示例(默认)
--------- | ------- | ----------- | ----------
common_type | true | 公海/线索池 | CustomerCommon/LeadCommon
common_id | true | 公海/线索池ID

#### 返回示例:

**正确时返回:**

``` json
{
  "code": 0,
  "message": "接口请求成功",
  # true有数据，false没有
  "has_infos":  true
  }

```

**错误时返回:**


```json

{
  "code": -1,
  # 当前已有可执行的任务，不可创建新的任务，请前往任务记录中删除任务后再创建! 或 请购买正式版本以使用完整功能!
  "message": "请购买正式版本以使用完整功能!"
}
```


#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述