## 获取通话记录
### HTTP Request

`GET  /api/v2/call_records`

### URL Parameters
字段名 | 是否必填 | 描述
--------- | ------- | -----------
recordable_type | true | 对象的类名，只能是Lead, Customer,Contact其中一个
recordable_id | true | 对象id
page | false | 页码
per_page | false | 每页的数量

### 返回数据字段说明
字段名 | 描述
--------- | -----------
calling_mapped | 主叫描述
called_mapped | 被叫号码
call_type_mapped | 呼叫类型描述（呼入、呼出）
status_mapped | 接通状态（接通、未接通）
duration | 通话时长（单位：秒）
duration_mapped | 通话时长格式化
recordable | 通话记录关联对象
recordable_type | 通话记录关联对象类型
play_url | 通话记录录音地址
content | 通话记录内容
created_at | 通话记录创建时间

> 返回数据:

```json
{
  "code": 0,
  "data": {
    "call_records": [
      {
        "id": 31,
        "calling_mapped": "lra",
        "called_mapped": "13262902617",
        "call_type_mapped": "呼出",
        "status_mapped": "接通",
        "duration": 111,
        "duration_mapped": "1分51秒",
        "recordable": "zhang",
        "recordable_type": "Lead",
        "play_url": null,
		"content": "为你好，那你下午有时间吗？行。",
        "created_at": '2014-07-28 11:28'
      }
    ],
    "total_count": 1,
    "per_page": 0,
    "page": 0
  }
}
```