#### 简要描述：

- 电销流水列表


#### 请求URL:

- `/api/call_centers/interface/users`

#### 请求方式：

- GET

#### 请求头：

字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（crm提供）

#### 请求参数:

字段名 | 是否必填 | 描述 | 参数示例(默认)
--------- | ------- | ----------- | ----------
corp_id  | true |string |企业corp_id
user_ids  | true |array |用户ids
page  | false |int |页码，默认1
per_page  | false |int |每页条数，默认10


##### 返回示例

```
{
    "code": 0,
    "message": "接口请求成功",
    "data": {
        "list": [
            {
                "id": 4,
                "email": "guanyu@gamil.com",
                "created_at": "2018-12-07 00:17",
                "name": "关羽",
                "organization_id": 1,
                "phone":"15000000003",
                "role_id": 0,
                "workflow_state": "organization_staff",
                "job": "",
                "tel": "",
                "avatar_url": "http://localhost:3000/assets/male_uc.jpg",
                "department_name": "浦东",
                "third_userid": null,
                "third_dept_id": null,
                "uid": 10089
            },
            {
                "id": 5,
                "email": "zhangfei@gamil.com",
                "created_at": "2018-12-07 00:17",
                "name": "张飞",
                "organization_id": 1,
                "phone":"15000000004",
                "role_id": 0,
                "workflow_state": "organization_staff",
                "job": "",
                "tel": "",
                "avatar_url": "http://localhost:3000/assets/male_uc.jpg",
                "department_name": "川沙",
                "third_userid": null,
                "third_dept_id": null,
                "uid": 10090
            }
        ],
        "total_count": 2,
        "total_pages": 1,
        "current_page": 1,
        "per_page": 10
    }
}
```