#### 简要描述：

- 电销流水列表


#### 请求URL:

- `/api/call_centers/interface/call_agents`

#### 请求方式：

- GET

#### 请求头：

字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（crm提供）

#### 请求参数:

字段名 | 是否必填 | 描述 | 参数示例(默认)
--------- | ------- | ----------- | ----------
agent_id  | false |string |坐席id
organization_id  | false |int |企业id
page  | false |int |页码，默认1
per_page  | false |int |每页条数，默认10

##### 返回示例

```
{
    "code": 0,
    "message": "接口请求成功",
    "data": {
        "list": [
            {
                "id": 1,
                "organization_id": 1,
                "user_id": 5,
                "call_center_id": 0,
                "agent_id": "",
                "package_id": 0,
                "prev_package_id": 0,
                "login": "",
                "password": "",
                "name": "",
                "mobile": "",
                "bind_tel": "",
                "call_display_number": "",
                "status": 0,
                "package_status": "locked",
                "agent_type": "pstn",
                "warned_threshold": 10000,
                "prev_locked_threshold": 24,
                "changed_at": "",
                "actived_at": null,
                "warned_at": null,
                "prev_locked_at": null,
                "locked_at": "",
                "created_at": "2019-05-07 15:39",
                "enabled": true,
                "call_private_protect": false,
                "email": "",
                "user_name": "张飞",
                "call_center": null
            },
            {
                "id": 2,
                "organization_id": 1,
                "user_id": 5,
                "call_center_id": 0,
                "agent_id": "111",
                "package_id": 0,
                "prev_package_id": 0,
                "login": "",
                "password": "",
                "name": "",
                "mobile": "",
                "bind_tel": "",
                "call_display_number": "",
                "status": 0,
                "package_status": "locked",
                "agent_type": "pstn",
                "warned_threshold": 10000,
                "prev_locked_threshold": 24,
                "changed_at": "",
                "actived_at": null,
                "warned_at": null,
                "prev_locked_at": null,
                "locked_at": "",
                "created_at": "2019-05-07 15:39",
                "enabled": true,
                "call_private_protect": false,
                "email": "",
                "user_name": "张飞",
                "call_center": null
            }
        ]
    }
}
```