#### 简要描述：

- 电销流水列表


#### 请求URL:

- `/api/open/dx/v1/router/index`

#### 请求方式：

- POST

#### 请求头：

- 请参考[开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 请求参数:

字段名 | 是否必填 | 描述 | 参数示例(默认)
--------- | ------- | ----------- | ----------
type | true | 请求类型 |wwj.dx.call.record.list.get （固定，获取电销流水）
data | true | 接口参数，跟电销报表流水一致|{"callTimeType":7,"callType":0,"callTimeLengthType":0,"effectiveType":0,"connectedType":0,"callSource":0,"partId":"","userId":"","callMode":0,"pageSize":10,"pageNum":1,"startDate": 1716224400000,"endDate": 1716228000000}

##### data说明


|字段|类型|说明|
|---|---|---|
|callTimeType| 数字|通话时间  ：1:今日，2：昨日 本周3 上周4 本月5 上月6 7自定义字段（自定义需要传参：startDate, endDate）|
|startDate|时间戳毫秒|通话时间  ：1716220799999|
|endDate|时间戳毫秒|通话时间  ：1716134400000|
|callType|数字|通话类型：2呼出 4呼入 0全部|
|connectedType|数字|是否接通： 2接通 1未接通 0全部|
|callTimeLengthType|数字|通话时长： 0全部 1 10秒内 2 11-30秒 3 30-60秒 4 1-3分钟 5 3-6分钟 6 6-10分钟 7 10分钟以上  8自定义（自定义需要传参talkTimeStart，talkTimeEnd）|
|talkTimeStart|数字|通话时长：30|
|talkTimeEnd|数字|通话时长：60|
|callMode|数字|通话终端  ： 1 普通 3公费电话 4空白 0全部|
|callSource|数字|通话终端  ：1 电脑端 2手机端 0 全部|
|numberType|字符串|呼叫对象类型：Lead 线索 Customer 客户 Contact 联系人 other 其它 all 全部|


> 返回数据:

```json
{
  "data":{
    "total":95,
    "pageSize":10,
    "list":[
      {
        "agentTime":null,
        "audioKey":null,
        "audioUrl":"",   //录音播放地址
        "beginTime":null,
        "bizPid":null,
        "callId":"ikcall_production_15851923302_20240425094435856",
        "callMode":10,
        "callModeStr":"普通拨号",
        "callSource":11,    //11 手机端  10 电脑端
        "callSourceStr":"手机端",
        "callType":2,  //2 呼入   4 呼出
        "callTypeText":null,
        "calledName":"1122331",   //实体名称（客户、线索、联系人）
        "calledNumber":"",        //被叫号码
        "calledText":null,
        "callingName":"",		//主叫名称
        "callingNumber":"",     //主叫号码
        "callingText":null,
        "connectTime":null,
        "connectedStatusText":null,
        "content":null,
        "createdAt":"2024-04-25 09:44",
        "createdTime":1714009477000,
        "downloadUrl":"",		//录音下载地址
        "entityName":null,     // 主体名称 （如果是skb的电话，会有这个主体名称）
        "id":1612682445,
        "isConnected":true,
        "isConvertToText":false,
        "organizationId":null,
        "recordableCreateId":11958845,
        "recordableId":1138189759,
        "recordableRelationId":1138189759,
        "recordableRelationName":"", //关联名称
        "recordableRelationType":"Lead", //关联类型 Lead 线索 Customer 客户 Contact联系人
        "recordableType":"Lead", // Lead 线索 Customer 客户 Contact联系人
        "recordableUserId":11784641,//实体ID
        "releaseTime":null,
        "sourceType":null,
        "status":null,
        "talkTime":14,    //通话时长
        "userId":11958845,
        "userName":null,
        "wxUserId":null
      }
    ],
    "pageNum":1
  },
  "error_code":0,
  "message":"",
  "requestId":"dad36e7b-4672-4493-9d51-7444c0688e49",
  "status":"success"
}
```