#### 简要描述：

- 全部自定义字段

#### 请求URL:

- `/api/v2/custom_fields/by_group_all`

#### 请求方式：

- GET

#### 请求参数:

- 请参考[开发须知](../crm_open_api-1f8mk6vuq7aha/crm_open_api-1f8mjm3kdttee.md)

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "product": [
      {
        "id": 9,
        "label": "基本信息",
        "position": 1,
        "status": "enable",
        "custom_field_setting_id": 3,
        "custom_fields": [
          {
            "id": 51,
            "name": "customer",
            "label": "对应客户", # 标签
            "field_type": "select2_field", # select
            "category": "common", #类型
            "position": 2, #位置
            "label_html_options": {},
            "custom_column_name": "customer.name", # 列名
            "input_field_options": {}, # 选项
            "status": "enable", #是否可用
            "required": true, #是否必填
            "cannot_edit": false # 为true则不能编辑
          }
        ]
      }
    ]
    "customer": [
      {
        "id": 9,
        "label": "基本信息",
        "position": 1,
        "status": "enable",
        "custom_field_setting_id": 3,
        "custom_fields": [
          {
            "id": 51,
            "name": "customer",
            "label": "对应客户", # 标签
            "field_type": "select2_field", # select
            "category": "common", #类型
            "position": 2, #位置
            "label_html_options": {},
            "custom_column_name": "customer.name", # 列名
            "input_field_options": {}, # 选项
            "status": "enable", #是否可用
            "required": true, #是否必填
            "cannot_edit": false # 为true则不能编辑
          }
        ]
      }
    ]
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述