## 自定义表单列表
### HTTP Request

`GET /apaas/api/v2/custom_forms`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------
custom_app_id |是 | 自建应用ID

> 返回数据

```json
{
  "code": 0,
  "message": "success",
  "remark": "成功",
  "data": {
    "total_count": 4,
    "total_pages": 1,
    "next_page": null,
    "prev_page": null,
    "current_page": 1,
    "per_page": 15,
    "page": 1,
    "models": [
      {
        "id": 23,
        "name": "推广线索",
        "data_table_name": "data_1_3_9ddabc",
        "status": "enable",
        "status_i18n": "启用",
        "setting": {},
        "description": "",
        "custom_app_id": 3,
        "created_at": "2023-08-15T12:05:17.220+08:00",
        "updated_at": "2023-09-01T22:47:48.601+08:00",
        "primary_field": {
          "id": 66,
          "name": "text_1692072317310_0e047c",
          "label": "名称",
          "status": "enable",
          "status_i18n": "启用",
          "field_type": "text_field",
          "field_type_i18n": "单行文本",
          "custom_field_group_id": 37,
          "setting": {
            "required": true,
            "primary_field": true,
            "custom_column_name": "text_1692072317310_0e047c",
            "field_update_options": {
              "cannot_destroy": true,
              "status_readonly": true,
              "required_readonly": true
            }
          },
          "created_at": "2023-08-15T12:05:17.323+08:00",
          "updated_at": "2023-08-30T16:24:04.177+08:00"
        },
        "creator": {
          "uid": 1,
          "name": "test",
          "phone": null,
          "path_uid": null,
          "third_userid": null
        },
        "update_user": {
          "uid": 1,
          "name": "test",
          "phone": null,
          "path_uid": null,
          "third_userid": null
        }
      },
      {
        "id": 25,
        "name": "asdf",
        "data_table_name": "data_1_3_17d039",
        "status": "enable",
        "status_i18n": "启用",
        "setting": {},
        "description": "",
        "custom_app_id": 3,
        "created_at": "2023-08-15T15:24:44.537+08:00",
        "updated_at": "2023-08-25T17:56:33.075+08:00",
        "primary_field": {
          "id": 77,
          "name": "text_1692084284631_2522e3",
          "label": "名称",
          "status": "enable",
          "status_i18n": "启用",
          "field_type": "text_field",
          "field_type_i18n": "单行文本",
          "custom_field_group_id": 42,
          "setting": {
            "required": true,
            "primary_field": true,
            "custom_column_name": "text_1692084284631_2522e3",
            "field_update_options": {
              "cannot_destroy": true,
              "status_readonly": true,
              "required_readonly": true
            }
          },
          "created_at": "2023-08-15T15:24:44.645+08:00",
          "updated_at": "2023-08-25T17:56:33.072+08:00"
        },
        "creator": {
          "uid": 1,
          "name": "test",
          "phone": null,
          "path_uid": null,
          "third_userid": null
        }
      },
      {
        "id": 33,
        "name": "ffss",
        "data_table_name": "data_1_3_fac717",
        "status": "enable",
        "status_i18n": "启用",
        "setting": {},
        "description": "",
        "custom_app_id": 3,
        "created_at": "2023-08-30T17:47:02.806+08:00",
        "updated_at": "2023-08-30T17:48:21.943+08:00",
        "primary_field": {
          "id": 101,
          "name": "tex_232421747023f",
          "label": "名称",
          "status": "enable",
          "status_i18n": "启用",
          "field_type": "text_field",
          "field_type_i18n": "单行文本",
          "custom_field_group_id": 57,
          "setting": {
            "required": true,
            "primary_field": true,
            "field_update_options": {
              "cannot_destroy": true,
              "status_readonly": true,
              "required_readonly": true
            }
          },
          "created_at": "2023-08-30T17:47:02.963+08:00",
          "updated_at": "2023-08-30T17:47:02.963+08:00"
        },
        "creator": {
          "uid": 1,
          "name": "test",
          "phone": null,
          "path_uid": null,
          "third_userid": null
        }
      },
      {
        "id": 32,
        "name": "招商",
        "data_table_name": "data_1_3_99f330",
        "status": "enable",
        "status_i18n": "启用",
        "setting": {},
        "description": "",
        "custom_app_id": 3,
        "created_at": "2023-08-25T17:45:14.988+08:00",
        "updated_at": "2023-08-25T17:56:33.167+08:00",
        "primary_field": {
          "id": 87,
          "name": "tex_232371745156e",
          "label": "名称",
          "status": "enable",
          "status_i18n": "启用",
          "field_type": "text_field",
          "field_type_i18n": "单行文本",
          "custom_field_group_id": 55,
          "setting": {
            "required": true,
            "primary_field": true,
            "custom_column_name": "tex_232371745156e",
            "field_update_options": {
              "cannot_destroy": true,
              "status_readonly": true,
              "required_readonly": true
            }
          },
          "created_at": "2023-08-25T17:45:15.970+08:00",
          "updated_at": "2023-08-25T17:56:33.081+08:00"
        },
        "creator": {
          "uid": 1,
          "name": "test",
          "phone": null,
          "path_uid": null,
          "third_userid": null
        }
      }
    ]
  }
}
```

## 自建表单Simple列表
### HTTP Request

`GET /apaas/api/v2/custom_forms/simple`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------
custom_app_id | 否 | 自定义应用ID

> 返回数据

```json
{
  "code": 0,
  "message": "success",
  "remark": "成功",
  "data": {
    "models": [
      {
        "value": 23,
        "label": "推广线索",
        "id": 23,
        "name": "推广线索",
        "status": "enable",
        "status_i18n": "启用"
      },
      {
        "value": 25,
        "label": "asdf",
        "id": 25,
        "name": "asdf",
        "status": "enable",
        "status_i18n": "启用"
      },
      {
        "value": 33,
        "label": "ffss",
        "id": 33,
        "name": "ffss",
        "status": "enable",
        "status_i18n": "启用"
      },
      {
        "value": 32,
        "label": "招商",
        "id": 32,
        "name": "招商",
        "status": "enable",
        "status_i18n": "启用"
      }
    ]
  }
}
```


## 表单详情（已发布）
### HTTP Request

`GET /apaas/api/v2/custom_forms/:id `

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id  | 是 | 表单ID

### Body Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------

> 请求正文

```json
```

> 返回数据

```json
{
    "code": 0,
    "message": "success",
    "remark": "成功",
    "data": {
        "id": 13,
        "name": "市场调研11",
        "status": "enable",
        "status_i18n": "启用",
        "description": "",
        "created_at": "2023-08-03T15:50:41.952+08:00",
        "updated_at": "2023-08-17T14:25:03.195+08:00",
        "custom_field_groups": [
            {
                "id": 17,
                "label": "基本信息",
                "setting": {},
                "created_at": "2023-08-03T15:50:41.957+08:00",
                "updated_at": "2023-08-11T12:16:42.947+08:00",
                "custom_fields": [
                    {
                        "id": 58,
                        "name": "text_1691116765689_fe4558",
                        "label": "滴滴答答",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "text_field",
                        "field_type_i18n": "单行文本",
                        "custom_field_group_id": 17,
                        "setting": {
                            "required": true,
                            "custom_column_name": "text_1691116765689_fe4558",
                            "attributes": {
                                "validation": {
                                    "unique": true,
                                    "formats": {
                                        "enable": true,
                                        "formats": [
                                            {
                                                "label": "中文",
                                                "value": "chinese",
                                                "patternGroup":"[\一-\龥]"
                                            },
                                            {
                                                "label": "字母",
                                                "value": "english",
                                                "patternGroup": "[a-zA-Z]"
                                            }
                                        ]
                                    }
                                }
                            },
                            "primary_field": true,
                            "field_update_options": {
                                "cannot_destroy": true,
                                "required_readonly": true,
                                "status_readonly": true
                            }
                        },
                        "created_at": "2023-08-04T10:49:26.036+08:00",
                        "updated_at": "2023-08-17T14:25:03.133+08:00"
                    },
                    {
                        "id": 82,
                        "name": "email_1691116765689_fe4558",
                        "label": "email字段",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "email_field",
                        "field_type_i18n": "邮箱",
                        "custom_field_group_id": 17,
                        "setting": {
                            "required": true,
                            "custom_column_name": "email_1691116765689_fe4558"
                        },
                        "created_at": "2023-08-16T15:06:56.446+08:00",
                        "updated_at": "2023-08-16T15:09:45.929+08:00"
                    },
                    {
                        "id": 59,
                        "name": "select_1691125929052_d05a00",
                        "label": "分类",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "select_field",
                        "field_type_i18n": "单选",
                        "custom_field_group_id": 17,
                        "setting": {
                            "required": true,
                            "select_options": [
                                [
                                    "入门",
                                    "H6Qq/ojoIFNyICUXzx3UOw=="
                                ],
                                [
                                    "初级",
                                    "ZoRq+fex/WIThBEgm1OuPg=="
                                ]
                            ],
                            "custom_column_name": "select_1691125929052_d05a00_display"
                        },
                        "created_at": "2023-08-04T13:24:52.221+08:00",
                        "updated_at": "2023-08-16T15:10:17.147+08:00"
                    },
                    {
                        "id": 62,
                        "name": "multi_select_1691562342042_e0b50f",
                        "label": "多选标记",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "multi_select",
                        "field_type_i18n": "多选",
                        "custom_field_group_id": 17,
                        "setting": {
                            "select_options": [
                                [
                                    "大",
                                    "qxjjDA3ECTzu2olh+sPR9A=="
                                ],
                                [
                                    "小",
                                    "ORuPqcdHoXmTU6uFbmZq1Q=="
                                ],
                                [
                                    "高",
                                    "QpbX0pPJ6koOUsZBXwtclg=="
                                ],
                                [
                                    "矮",
                                    "g5zvlxe87SMvvtRzzi5U8A=="
                                ]
                            ],
                            "custom_column_name": "multi_select_1691562342042_e0b50f_display"
                        },
                        "created_at": "2023-08-09T14:35:04.890+08:00",
                        "updated_at": "2023-08-14T15:20:44.353+08:00"
                    }
                ]
            },
            {
                "id": 18,
                "label": "系统信息",
                "setting": {
                    "is_system_column": true,
                    "field_update_options": {
                        "cannot_destroy": true
                    }
                },
                "created_at": "2023-08-03T15:50:41.960+08:00",
                "updated_at": "2023-08-11T13:08:40.852+08:00",
                "custom_fields": [
                    {
                        "id": 40,
                        "name": "creator",
                        "label": "创建人",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "select2_field",
                        "field_type_i18n": "对象选择",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "exclude_place": [
                                "form"
                            ],
                            "custom_column_name": "creator.name",
                            "is_system_column": true,
                            "field_update_options": {
                                "status_readonly": true,
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.024+08:00",
                        "updated_at": "2023-08-11T14:03:22.560+08:00"
                    },
                    {
                        "id": 41,
                        "name": "user",
                        "label": "负责人",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "select2_field",
                        "field_type_i18n": "对象选择",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "custom_column_name": "user.name",
                            "is_system_column": true,
                            "field_update_options": {
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.037+08:00",
                        "updated_at": "2023-08-11T14:03:22.554+08:00"
                    },
                    {
                        "id": 42,
                        "name": "before_user",
                        "label": "前负责人",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "select2_field",
                        "field_type_i18n": "对象选择",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "exclude_place": [
                                "form"
                            ],
                            "custom_column_name": "before_user.name",
                            "is_system_column": true,
                            "field_update_options": {
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.049+08:00",
                        "updated_at": "2023-08-11T14:03:22.558+08:00"
                    },
                    {
                        "id": 43,
                        "name": "update_user",
                        "label": "更新人",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "select2_field",
                        "field_type_i18n": "对象选择",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "exclude_place": [
                                "form"
                            ],
                            "custom_column_name": "update_user.name",
                            "is_system_column": true,
                            "field_update_options": {
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.064+08:00",
                        "updated_at": "2023-08-11T14:03:22.563+08:00"
                    },
                    {
                        "id": 44,
                        "name": "department",
                        "label": "所属部门",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "select2_field",
                        "field_type_i18n": "对象选择",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "custom_column_name": "department.name",
                            "is_system_column": true,
                            "field_update_options": {
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.081+08:00",
                        "updated_at": "2023-08-11T14:03:22.565+08:00"
                    },
                    {
                        "id": 45,
                        "name": "before_department",
                        "label": "前所属部门",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "select2_field",
                        "field_type_i18n": "对象选择",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "exclude_place": [
                                "form"
                            ],
                            "custom_column_name": "before_department.name",
                            "is_system_column": true,
                            "field_update_options": {
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.095+08:00",
                        "updated_at": "2023-08-11T14:03:22.567+08:00"
                    },
                    {
                        "id": 46,
                        "name": "created_at",
                        "label": "创建时间",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "datetime_field",
                        "field_type_i18n": "时间",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "exclude_place": [
                                "form"
                            ],
                            "custom_column_name": "created_at",
                            "is_system_column": true,
                            "field_update_options": {
                                "status_readonly": true,
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.108+08:00",
                        "updated_at": "2023-08-11T13:58:58.755+08:00"
                    },
                    {
                        "id": 47,
                        "name": "updated_at",
                        "label": "更新时间",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "datetime_field",
                        "field_type_i18n": "时间",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "exclude_place": [
                                "form"
                            ],
                            "custom_column_name": "updated_at",
                            "is_system_column": true,
                            "field_update_options": {
                                "status_readonly": true,
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.121+08:00",
                        "updated_at": "2023-08-11T13:58:58.762+08:00"
                    },
                    {
                        "id": 48,
                        "name": "user_updated_at",
                        "label": "用户更新时间",
                        "status": "enable",
                        "status_i18n": "启用",
                        "field_type": "datetime_field",
                        "field_type_i18n": "时间",
                        "custom_field_group_id": 18,
                        "setting": {
                            "required": false,
                            "exclude_place": [
                                "form"
                            ],
                            "custom_column_name": "user_updated_at",
                            "is_system_column": true,
                            "field_update_options": {
                                "cannot_destroy": true
                            }
                        },
                        "created_at": "2023-08-03T15:50:42.133+08:00",
                        "updated_at": "2023-08-11T13:58:58.770+08:00"
                    }
                ]
            }
        ],
        "primary_field": {
            "id": 58,
            "name": "text_1691116765689_fe4558",
            "label": "滴滴答答",
            "status": "enable",
            "status_i18n": "启用",
            "field_type": "text_field",
            "field_type_i18n": "单行文本",
            "custom_field_group_id": 17,
            "setting": {
                "required": true,
                "custom_column_name": "text_1691116765689_fe4558",
                "attributes": {
                    "validation": {
                        "unique": true,
                        "formats": {
                            "enable": true,
                            "formats": [
                                {
                                    "label": "中文",
                                    "value": "chinese",
                                    "patternGroup":"[\一-\龥]"
                                },
                                {
                                    "label": "字母",
                                    "value": "english",
                                    "patternGroup": "[a-zA-Z]"
                                }
                            ]
                        }
                    }
                },
                "primary_field": true,
                "field_update_options": {
                    "cannot_destroy": true,
                    "required_readonly": true,
                    "status_readonly": true
                }
            },
            "created_at": "2023-08-04T10:49:26.036+08:00",
            "updated_at": "2023-08-17T14:25:03.133+08:00"
        },
        "custom_app": {
            "id": 4,
            "name": "市场调研",
            "status": "enable",
            "status_i18n": "启用",
            "description": "上海市场调研",
            "created_at": "2023-08-03T15:32:25.333+08:00",
            "updated_at": "2023-08-17T14:25:03.228+08:00",
            "creator": {
                "id": 1,
                "name": "test"
            }
        }
    }
}
```