## 表单字段计算
### HTTP Request

`GET /apaas/api/v2/form_entities/evaluate`

### Body Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id  | 否 | 表单数据ID
custom_form_id|是|表单ID
custom_app_id  | 是 | 自建应用ID
field_name | 是 | 需要计算的字段name

> 请求正文

```json
{
    "id": 1, // 新增数据时id不存在，不需要传
    "custom_app_id": 2,
    "custom_form_id": 3,
    "field_name": "text_169111676456_af4re5t",
    "form_entity": { // 当前表单
        "float_1691116765689_fe45581": 3.45,
        "integer_1691125929052_d05a00": 1.12,
        "cu_rela_2324018421118": {
            "value": 1,
            "label": "上海微问家",
            "relation_source": {
                "id": 23,
                "name": "data_1_3_9ddabc",
                "label": "推广线索",
                "external_type": ""
            }
        }
    },
    "data_1_3_9ddabc": { // 引用表单
        "id": 2, // 引用数据的id
        "float_1691116765689_9ddabc": 5.78,
        "integer_1691116765689_9ddabc": 6.23,
    }
}
```

> 返回数据

```json
{
    "code": 0,
    "message": "success",
    "remark": "成功",
    "data": {
       "value": 1212.11
    }
```