## 表单数据详情
### HTTP Request

`GET /apaas/api/v2/form_entities /:id`

### HEADERS
字段名 | 是否必填 | 描述
--------- | ------- | -----------
ACCESS-TOKEN | true | 授权token（aPaas提供）

### URL Parameters

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id  | 是 | 表单数据ID
custom_form_id|是|表单ID

> 返回数据

```json
{
    "code": 0,
    "message": "success",
    "remark": "成功",
    "data": {
        "app_id": 4,
        "custom_form_id": 13,
        "organization_id": 1,
        "created_at": "2023-08-16T15:29:15.318+08:00",
        "updated_at": "2023-08-16T15:29:15.318+08:00",
        "id": 30,
        "primary_field_value": "哇咔隧道咔a 133333a a",
        "text_1691116765689_fe4558": "哇咔隧道咔a 133333a a",
        "email_1691116765689_fe4558": null,
        "select_1691125929052_d05a00": "H6Qq/ojoIFNyICUXzx3UOw==",
        "select_1691125929052_d05a00_display": "入门",
        "multi_select_1691562342042_e0b50f": [
            "qxjjDA3ECTzu2olh+sPR9A==",
            "QpbX0pPJ6koOUsZBXwtclg=="
        ],
        "multi_select_1691562342042_e0b50f_display": [
            "大",
            "高"
        ],
        "nest_2324013095370acf": {
            "level_0": "60943MKVMq0Erpe9dUdV7w==",
            "level_1": "WkFg1hVKiht2xdOjfhlpqQ=="
        },
        "nest_2324013095370acf_display": [
            "层级1",
            "层级2"
        ],
        "creator_id": 1,
        "creator": {
            "id": 1,
            "name": "test"
        },
        "user_id": 1,
        "user": {
            "id": 1,
            "name": "test"
        },
        "before_user_id": null,
        "before_user": null,
        "update_user_id": 1,
        "update_user": {
            "id": 1,
            "name": "test"
        },
        "department_id": 1,
        "department": {
            "id": 1,
            "name": null
        },
        "before_department_id": null,
        "before_department": null,
        "user_updated_at": "2023-08-16T15:29:15.313+08:00"
    }
}
```