#### 简要描述：

- 执行审批

#### 请求URL:

- http://${host}/api/v1/execute_records/:id/perform

#### 请求方式：

- POST

#### 请求头：

参考新审批说明文档中公共请求头参数

#### 请求参数:

| 参数名         | 是否必须 | 类型   | 说明                             |
|:-------------- |:-------- |:------ | -------------------------------- |
| id             | 是       | int    | 审批流id，从获取审批流接口获取。 |
| execute_action | 是       | string | 审批动作，可选值：pass：审批通过，veto：审批否决，revocation：审批撤销，transfer：审批转交。|
|execute_opinion|否|string|审批意见/备注|
|transfer_uid|否|int|审批权限转移后的用户uid|
|agent_uid|否|int|被代理的审批人|

#### 返回示例:

**正确时返回:**

```
{
    "code": 0,
    "message": "操作成功"
}
```

**错误时返回:**


```
{
    "errcode": 500,
    "errmsg": "invalid appid"
}
```

#### 返回参数说明:

 无

#### 备注:

- 更多返回错误代码请看首页的错误代码描述