#### 简要描述：

- 报价单详情

#### 请求URL:

- ` /api/v2/quotations/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 报价单的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:


**正确时返回:**

```json
{
    "code": 0,
    "message": "接口请求成功",
    "data": {
        "ref": {
            "contact": {
                "address": {
                    "phone": "",
                    "phone_hidden_result": "",
                    "email": ""
                },
                "id": 129504908,
                "is_user_self": false,
                "is_creator_self": false
            },
            "subsidiary": {
                "address": {
                    "detail_address": "上海市浦东新区软件园201",
                    "region_info": "中国 上海 上海市 黄浦区",
                    "phone": "18901012223",
                    "phone_hidden_result": "18901012223",
                    "tel": "18901012222",
                    "tel_hidden_result": "18901012222",
                    "fax": "18901012244"
                },
                "id": 7,
                "is_user_self": null,
                "is_creator_self": null
            },
            "customer": {
                "address": {
                    "region_info": "",
                    "detail_address": null,
                    "phone": "07654323456",
                    "phone_hidden_result": "07654323456",
                    "tel": null,
                    "tel_hidden_result": "",
                    "fax": null
                },
                "id": 590157333,
                "is_user_self": false,
                "is_creator_self": false
            }
        },
        "quotations": [],
        "id": 100286,
        "name": "test q111",
        "title": "2333",
        "sub_title": "",
        "quotation_no": "",
        "status": "63907481",
        "status_mapped": "未报价",
        "customer": {
            "id": 590157333,
            "name": "686868686"
        },
        "contact": {
            "id": 129504908,
            "name": "33"
        },
        "opportunity": {
            "id": 10532678,
            "title": "3333"
        },
        "quotation_date": "2024-08-09",
        "effective_date_fr": "2024-08-09",
        "effective_date_to": "2024-08-23",
        "product_total_amount": "16.0",
        "whole_discount": "1.0",
        "additional_discount_amount": "0.0",
        "total_amount": "16.0",
        "has_contract": false,
        "note": "",
        "assist_users": [
            {
                "id": 11978981,
                "email": "",
                "created_at": "2020-12-10 18:42",
                "name": "王欢",
                "organization_id": 11508919,
                "phone": "18721667830",
                "role_id": 223558,
                "workflow_state": "organization_staff",
                "job": "",
                "tel": "",
                "avatar_url": "https://lxcrm.weiwenjia.com/assets/female_uc.jpg",
                "department_name": "研发中心",
                "third_userid": null,
                "third_dept_id": null,
                "uid": 12561443
            },
            {
                "id": 11978984,
                "email": "",
                "created_at": "2020-12-10 18:44",
                "name": "王乐",
                "organization_id": 11508919,
                "phone": "13701649175",
                "role_id": 223557,
                "workflow_state": "organization_staff",
                "job": "",
                "tel": "",
                "avatar_url": "https://lxcrm.weiwenjia.com/assets/male_uc.jpg",
                "department_name": "CRM开发部",
                "third_userid": null,
                "third_dept_id": null,
                "uid": 12561447
            }
        ],
        "created_at": "2024-08-09 11:28",
        "updated_at": "2024-08-09 14:39",
        "revisit_remind_at": "",
        "is_user_self": true,
        "is_editable": true,
        "is_creator_self": true,
        "product_assets": "规格型号显示，wdqw",
        "product_assets_for_new_record": [],
        "history_quotation_id": null,
        "parent_id": null,
        "is_own": true,
        "approve_status": "approved",
        "custom_field_template": {
            "id": 22424,
            "name": "业务类型1",
            "position": 1,
            "status": 0,
            "is_usable": true,
            "apply_type": "all_roles",
            "business_name": null
        },
        "custom_field_template_id": 22424,
        "custom_field_template_i18n": "业务类型1",
        "subsidiary": {
            "id": 7,
            "name": "测试主题"
        },
        "process_can_resubmission": false,
        "lock_status": false,
        "all_attachments": [],
        "attachments_count": 0,
        "attachments": "暂无附件",
        "file_attachments_count": 0,
        "user": {
            "id": 12492788,
            "email": "",
            "created_at": "2023-06-09 05:35",
            "name": "谷姜花",
            "organization_id": 11508919,
            "phone": "18716530615",
            "role_id": 223557,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "https://lxcrm.weiwenjia.com/assets/male_uc.jpg",
            "department_name": "上海洲傲",
            "third_userid": null,
            "third_dept_id": null,
            "uid": 22119456
        },
        "before_user": null,
        "owned_department": {
            "id": 11515617,
            "name": "上海洲傲",
            "third_dept_id": null
        },
        "before_owned_department": null,
        "creator": {
            "id": 12492788,
            "email": "",
            "created_at": "2023-06-09 05:35",
            "name": "谷姜花",
            "organization_id": 11508919,
            "phone": "18716530615",
            "role_id": 223557,
            "workflow_state": "organization_staff",
            "job": "",
            "tel": "",
            "avatar_url": "https://lxcrm.weiwenjia.com/assets/male_uc.jpg",
            "department_name": "上海洲傲",
            "third_userid": null,
            "third_dept_id": null,
            "uid": 22119456
        },
        "address": {
            "id": 100286,
            "name": "",
            "contact_phone": "15201643883",
            "contact_email": "xxx123@qq.com",
            "contact_phone_hidden_result": "15201643883",
            "contact": {
                "id": 11784641,
                "name": "张秀",
                "third_userid": null
            }
        }
    }
}
```

**错误时返回:**


```
{
    "code": 100100,
    "message": "您没有权限查看该对象或该对象不存在。",
    "error": "active_record/record_not_found",
    "original_message": "ActiveRecord::RecordNotFound"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述