#### 简要描述：

- 获取工商信息和客户字段映射关系

#### 请求URL:

- ` /api/v2/customers/get_business_customer_fields`

- ##### url请求参数说明

无

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:


**正确时返回:**

```json
{
    "code": 0,
    "data": {
        "UNCID": {
				"id": 12,
				"name": "note",
				"label": "备注",
				"field_type": "text_area",
				"is_user_custom_column": false,   # 是否自定义字段：true是
				"status": "enable",               # 是否启用
				"select_options": []              # 选项：[["单选2", "sel_fdc5"], ["单选1", "sel_ce4e"]]
		},                                   # 统一社会信用代码
        "ENTNAME": {},                       # 企业名称
        "LEGALPERSON": {},                   # 企业法人
        "ENTTYPE": {},                       # 企业类型
        "REGCAP": {},                        # 注册资本
        "ENTSTATUS": {},                     # 经营状态
        "ESDATE": {},                        # 成立时间
        "OPERATE_TIME": {},                  # 经营期限
        "APPRDATE": {},                      # 核准日期
        "REGORG": {},                        # 登记机关
        "INDUSTRYPHYDESC": {},               # 所属行业
        "OPLOC": {},                         # 企业地址
        "OPSCOPE": {},                       # 经营范围
        "TEL": {},                           # 电话
        "WEBSITE": {},                       # 网址
        "EMAIL": {},                         # 邮箱
        "POSTCODE": {}                       # 邮编
    }
}


```

**错误时返回:**


```
{
  "code": -1,
  "message": "请求失败。"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述