#### 简要描述：

- 协作人列表

#### 请求URL:

- `/api/v2/customers/:id/assist_users`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 其它参数请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")


**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "assist_users": [
      {
        "id": 261,
        "email": "c@163.com",
        "created_at": "2014-11-07 09:27",
        "name": "iOS审核专用（勿删）",
        "organization_id": 49,
        "phone": "18633333333",
        "role_id": 169,
        "workflow_state": "organization_staff",
        "job": "职员",
        "tel": "",
        "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/2385268/attachment_1548917569-526262880.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
        "department_name": "总经理办公室"
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述