#### 简要描述：

- 客户详情

#### 请求URL:

- `  /api/v2/customers/:id/contacts`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户的id，替换掉url的:id

### 请求参数说明
字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 这是 page
per_page | false | 这是 per_page

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 其它请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "data": {
    "contacts": [
      {
        "id": 673,
        "name": "经理1的联系人",
        "name_pinyin": "jingli1delianxiren",
        "user_id": 254,
        "user_name": "周星驰",
        "department": "测试部",
        "category": "3480",
        "category_mapped": "特别重要",
        "gender": "male",
        "customer_id": 831,
        "customer_name": "经理1的客户",
        "birth_date": "4535-06-01",
        "gender_i18n": "男",
        "job": "打算打发s'd'f",
        "address": {
          "id": 2676,
          "tel": "345235423",
          "tel_hidden_result": "345235423",
          "phone": "13562545214",
          "phone_hidden_result": "13562545214",
          "qq": "2354235423",
          "email": "asdfa@163.com",
          "lng": 0.0,
          "lat": 0.0,
          "detail_address": "阿斯多发生的风阿萨德f",
          "off_distance": -1,
          "url": "",
          "gaode_staticmap": "",
          "full_address": "中国北京北京市东城区 阿斯多发生的风阿萨德f"
        },
        "is_own": true,
        "have_image": false,
        "need_hidden_dispose": false,
        "is_user_self": false
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1
  }
}

```

**错误时返回:**


```
{
  "code": 100100,
  "message": "您没有权限查看该对象或该对象不存在。",
  "error": "active_record/record_not_found"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述