#### 简要描述：

- 报销单列表

#### 请求URL:

- `/api/v2/expense_accounts`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
query | false | String | 搜索关键字
scope | false | 范围筛选 ［'', my_own］
approve_status | false | 审批状态 `/api/v2/expense_accounts/approve_status/filter_options` 获取
pending_step_approve_status | false | 待1级审批状态 `/api/v2/expense_accounts/approve_status/filter_options` 获取


#### 返回示例:

**正确时返回:**

```json
{
  "code": 0,
  "data": {
    "expense_accounts": [
      {
        "id": 3189,
        "organization_id": 57,
        "sn": "测试数据",
        "amount": "5255.0",
        "user": {
          "id": 700,
          "email": "79507452@qq.com",
          "created_at": "2015-07-01 18:17",
          "name": "小龙-test环境",
          "organization_id": 57,
          "phone": "18699999999",
          "role_id": 418,
          "workflow_state": "organization_staff",
          "job": "开发主管",
          "tel": "",
          "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
          "department_name": "总裁办"
        },
        "created_at": "2018-08-08 15:12",
        "updated_at": "2018-08-24 17:06",
        "approve_status": "reverted",
        "approve_status_i18n": "已撤销"
      }
    ],
    "total_count": 8,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

字段名 | 描述
--------- | -----------
sn | 费用报销单编号
amount | 报销单金额
user | 报销人
approve_status | 审批状态

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述