#### 简要描述：

- 报销单筛选条件

#### 请求URL:

- `/api/v2/expense_accounts/filter_sort_group`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json
{
  "code": 0,
  "data": {
    "filters": [
      {
        "label": "创建时间",
        "field_name": "created_at",
        "filter_field_type": "time"
      },
      {
        "label": "报销部门",
        "field_name": "department_id",
        "filter_field_type": "department"
      },
      {
        "label": "报销人",
        "field_name": "user_id",
        "filter_field_type": "user"
      },
      {
        "label": "审批完成时间",
        "field_name": "finish_approve_at",
        "filter_field_type": "time"
      },
      {
        "label": "审批提交时间",
        "field_name": "submit_applying_at",
        "filter_field_type": "time"
      },
      {
        "label": "审批状态",
        "field_name": "approve_status",
        "filter_field_type": "link"
      }
    ],
    "sorts": [
      {
        "name": "sort",
        "label": "更新时间倒序",
        "value": "updated_at",
        "order": "desc"
      },
      {
        "name": "sort",
        "label": "创建时间倒序",
        "value": "created_at",
        "order": "desc"
      }
    ]
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述