#### 简要描述：

- 某条签到数据的前100条评论或回复

#### 请求URL:

- `/api/pc/checkins/checkins_comments`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

### 请求参数说明
字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | checkins的id


#### 返回示例:

**正确时返回:**

```json
{
    "code": 0,
    "comments": [
        {
            "id": 1,
            "content": "哎哎哎",
            "exist_parent": false,
            "parent": {},
            "created_at": "2022-06-25 15:46",
            "timestamp": "1 分钟前",
            "reply_to_user": {},
            "user": {
                "id": 1,
                "email": "kevin@gamil.com",
                "created_at": "2018-12-06 23:41",
                "name": "大汉帝国",
                "organization_id": 1,
                "phone": "15021143496",
                "role_id": 1,
                "workflow_state": "organization_staff",
                "job": "",
                "tel": "",
                "avatar_url": "http://localhost:3000/assets/male_uc.jpg",
                "department_name": "中国",
                "third_userid": null,
                "third_dept_id": null,
                "uid": 10086
            },
            "audios": []
        }
    ]
}

```

**错误时返回:**

```json

{
  "code": -1,
  "message": "数据不存在！",
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述