#### 简要描述：

- 公海客户联系人列表

#### 请求URL:

- `/api/v2/common_customers/:id/contacts`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户ID

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:



#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "contacts": [
      {
        "id": 717126,
        "name": "王府井",
        "name_pinyin": "wangfujing",
        "user_id": 256,
        "user_name": "刘德华",
        "department": "",
        "category": "",
        "category_mapped": "",
        "gender": "",
        "customer_id": 1474062,
        "customer_name": "上海硕诚",
        "birth_date": "",
        "gender_i18n": "",
        "job": "老板",
        "address": {
          "id": 3623569,
          "tel": "1234567890",
          "tel_hidden_result": "1234567890",
          "phone": "",
          "phone_hidden_result": "",
          "qq": "",
          "email": "",
          "lng": 0.0,
          "lat": 0.0,
          "detail_address": "",
          "off_distance": -1,
          "url": "",
          "gaode_staticmap": "",
          "full_address": ""
        },
        "is_own": true,
        "have_image": false,
        "need_hidden_dispose": false,
        "is_user_self": false
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----  |
|is_user_self |boolean   |是否自己的数据  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述