#### 简要描述：

- 公海客户商机列表

#### 请求URL:

- `/api/v2/common_customers/:id/opportunities`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 客户ID

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:



#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "opportunities": [
      {
        "id": 73014,
        "title": "北京大学东门老街",
        "title_pinyin": "beijingdaxuedongmenlaojie",
        "user_id": 254,
        "user_name": "周星驰",
        "expect_amount": "120000.0",
        "sign_possibility": "10%",
        "get_time": "2016-07-10",
        "stage": "3511",
        "stage_mapped": "初步接洽",
        "expect_sign_date": "2017-12-10",
        "customer_requirement": "",
        "source": "",
        "source_mapped": "",
        "kind": "",
        "kind_mapped": "",
        "customer_id": 1474062,
        "customer_name": "上海硕诚",
        "is_own": true,
        "is_my_assist_entity": false,
        "created_at": "2016-07-10 11:04",
        "creator": {
          "id": 256,
          "email": "11111111@ikcrm.com",
          "created_at": "2014-11-06 22:46",
          "name": "刘德华",
          "organization_id": 49,
          "phone": "18611111111",
          "role_id": 0,
          "workflow_state": "organization_staff",
          "job": "职员",
          "tel": "",
          "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/544/icon_80.png?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
          "department_name": ""
        },
        "is_user_self": false
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----  |
|is_user_self |boolean   |是否自己的数据  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述