#### 简要描述：

- 公海设置列表

#### 请求URL:

- `/api/v2/common_customers/common_settings`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "common_settings": [
      {
        "id": 45,
        "organization_id": 49,
        "name": "公司公海",
        "admin_list": {
          "user_ids": [
          ]
        },
        "member_list": {
          "all": 1,
          "department_ids": [
            "0"
          ],
          "user_ids": [
          ]
        },
        "rule_type": 0,
        "rule_config": {
          "owner": {
            "enable_time": "2017-09-14 16:59:52",
            "astrict_unsold": "1",
            "flow_into_type": "all",
            "max_unfollow_day": "10",
            "flow_into_time": "16:00",
            "notify_before_unfollow_day": "2",
            "notify_time": "09:00",
            "customer_categories": {
              "15130": "0",
              "15131": "0",
              "15132": "0",
              "35250": "0",
              "3469": "0",
              "3470": "0",
              "3471": "0",
              "3467": "0"
            }
          },
          "unsold": {
            "enable_time": "2017-08-23 09:35:02",
            "flow_into_type": "all",
            "max_unfollow_day": "30",
            "flow_into_time": "16:00",
            "notify_before_unfollow_day": "5",
            "notify_time": "09:00",
            "customer_categories": {
              "15130": "0",
              "15131": "0",
              "15132": "0",
              "35250": "0",
              "3469": "0",
              "3470": "0",
              "3471": "0",
              "3467": "0"
            }
          }
        },
        "limit_grab_enable": false,
        "limit_grab_day": 10,
        "limit_grab_enable_time": null,
        "custom_column_list": {
          "super": [
            "name",
            "category_mapped",
            "address.region_info",
            "industry_mapped",
            "note",
            "created_at",
            "flow_into_at",
            "before_user.name"
          ],
          "common": [
            "name",
            "category_mapped",
            "address.region_info",
            "address.tel",
            "address.phone",
            "industry_mapped",
            "note",
            "before_user.name",
            "created_at",
            "flow_into_at",
            "lastest_revisit_log.content"
          ]
        },
        "filter_column_list": {
          "super": [
          ],
          "common": [
          ]
        },
        "created_at": "2017-02-21T21:13:26.000+08:00",
        "updated_at": "2018-10-23T14:53:42.000+08:00"
      },
      {
        "id": 48942,
        "organization_id": 49,
        "name": "超级公海",
        "admin_list": {
          "user_ids": [
          ]
        },
        "member_list": {
          "all": 1,
          "department_ids": [
            "0"
          ],
          "user_ids": [
          ]
        },
        "rule_type": 2,
        "rule_config": {
          "owner": {
            "enable_time": null,
            "astrict_unsold": "1",
            "flow_into_type": "all",
            "max_unfollow_day": "10",
            "flow_into_time": "16:00",
            "notify_before_unfollow_day": "2",
            "notify_time": "09:00",
            "customer_categories": {
              "15130": "0",
              "15131": "0",
              "15132": "0",
              "35250": "0",
              "3469": "0",
              "3470": "0",
              "3471": "0",
              "3467": "0"
            }
          },
          "unsold": {
            "enable_time": null,
            "flow_into_type": "all",
            "max_unfollow_day": "30",
            "flow_into_time": "16:00",
            "notify_before_unfollow_day": "5",
            "notify_time": "09:00",
            "customer_categories": {
              "15130": "0",
              "15131": "0",
              "15132": "0",
              "35250": "0",
              "3469": "0",
              "3470": "0",
              "3471": "0",
              "3467": "0"
            }
          }
        },
        "limit_grab_enable": false,
        "limit_grab_day": 10,
        "limit_grab_enable_time": null,
        "custom_column_list": {
          "super": [
            "name",
            "category_mapped",
            "address.region_info",
            "industry_mapped",
            "lastest_revisit_log.content",
            "real_revisit_at",
            "note",
            "created_at",
            "flow_into_at",
            "before_user.name"
          ],
          "common": [
            "name",
            "category_mapped",
            "address.region_info",
            "industry_mapped",
            "lastest_revisit_log.content",
            "real_revisit_at",
            "note",
            "created_at",
            "flow_into_at",
            "before_user.name"
          ]
        },
        "filter_column_list": {
          "super": [
          ],
          "common": [
          ]
        },
        "created_at": "2018-09-16T11:04:47.000+08:00",
        "updated_at": "2018-09-16T11:04:47.000+08:00"
      }
    ]
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述