#### 简要描述：

- 联系人详情

#### 请求URL:

- `/api/v2/contacts/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 联系人的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```

{
  "code": 0,
  "data": {
    "id": 20583,
    "name": "？？？",
    "department": "",
    "job": "",
    "category": "",
    "category_mapped": "",
    "gender": "",
    "note": "",
    "birth_date": "",
    "gender_i18n": "",
    "created_at": "2016-06-21 11:32",
    "updated_at": "2019-02-20 16:45",
    "attachment": {
      "id": 14918,
      "name": "attachment_1466479956.jpg",
      "attachmentable_id": 20583,
      "attachmentable_type": "Contact",
      "created_at": "2016-06-21T11:32:37.000+08:00",
      "updated_at": "2016-06-21T11:32:37.000+08:00",
      "file_file_name": "attachment_1466479956.jpg",
      "file_content_type": "image/jpeg",
      "file_file_size": 256196,
      "file_updated_at": "2016-06-21T11:32:37.000+08:00",
      "user_id": 441,
      "organization_id": 57,
      "deleted_at": null,
      "note": null,
      "sub_type": "",
      "qiniu_persistent_id": "",
      "attachment_position": null,
      "wx_media_id": null,
      "file_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14918/attachment_1466479956.jpg"
    },
    "customer": {
      "id": 73717,
      "name": "0永豐餘投資有限公司",
      "name_pinyin": "0yongfengyutouziyouxiangongsi",
      "user_id": 443,
      "user_name": "大",
      "contacts": [
        {
          "id": 20583,
          "name": "？？？",
          "address": {
            "id": 177110,
            "tel": "0218585886",
            "tel_hidden_result": "0218585886",
            "phone": "15000741320",
            "phone_hidden_result": "15000741320",
            "qq": "",
            "email": "",
            "lng": 121.42799,
            "lat": 31.229676,
            "detail_address": "上海市静安区长寿路 1111 号22楼2201 室",
            "off_distance": -1,
            "url": "",
            "gaode_staticmap": "http://restapi.amap.com/v3/staticmap?key=6336624d908c499cace3998613723a3a&location=121.42799%2C31.229676&markers=mid%2C%2CA%3A121.42799%2C31.229676&scale=2&size=524%2A180&zoom=16",
            "full_address": "中国 天津 天津市 红桥区 上海市静安区长寿路 1111 号22楼2201 室"
          }
        },
        {
          "id": 27826,
          "name": "小鲤鱼历险记",
          "address": {
            "id": 194028,
            "tel": "0218585886",
            "tel_hidden_result": "0218585886",
            "phone": "18622222223",
            "phone_hidden_result": "18622222223",
            "qq": "",
            "email": "",
            "lng": 0.0,
            "lat": 0.0,
            "detail_address": "",
            "off_distance": -1,
            "url": "",
            "gaode_staticmap": "",
            "full_address": ""
          }
        },
        {
          "id": 145384,
          "name": "吐了",
          "address": {
            "id": 246106,
            "tel": "",
            "tel_hidden_result": "",
            "phone": "",
            "phone_hidden_result": "",
            "qq": "",
            "email": "",
            "lng": 0.0,
            "lat": 0.0,
            "detail_address": "",
            "off_distance": -1,
            "url": "",
            "gaode_staticmap": "",
            "full_address": " "
          }
        }
      ],
      "company_name": "哦KKK咯",
      "address": {
        "id": 177109,
        "tel": "13655556666",
        "tel_hidden_result": "13655556666",
        "phone": "13645678523",
        "phone_hidden_result": "13645678523",
        "qq": "",
        "email": "",
        "lng": 121.42799,
        "lat": 31.229676,
        "detail_address": "上海市静安区长寿路 1111 号22楼2201 室",
        "off_distance": -1,
        "url": "",
        "gaode_staticmap": "http://restapi.amap.com/v3/staticmap?key=6336624d908c499cace3998613723a3a&location=121.42799%2C31.229676&markers=mid%2C%2CA%3A121.42799%2C31.229676&scale=2&size=524%2A180&zoom=16",
        "full_address": "上海市静安区长寿路 1111 号22楼2201 室"
      },
      "revisit_at": "2019-02-18T14:45:20.000+08:00",
      "is_own": true,
      "status": "4021",
      "status_mapped": "成交",
      "category": "4024",
      "category_mapped": "VIP客户",
      "qixinbao_id": "",
      "created_at": "2016-06-21 11:32",
      "updated_at": "2019-02-14 11:20",
      "creator": {
        "id": 441,
        "email": "2608522821@qq.com",
        "created_at": "2015-02-06 17:32",
        "name": "仪修Test",
        "organization_id": 57,
        "phone": "18611111117",
        "role_id": 172,
        "workflow_state": "organization_staff",
        "job": "iOS开发",
        "tel": "",
        "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/10322/avatar?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
        "department_name": "销售部"
      },
      "is_user_self": false,
      "approve_status": "approved",
      "approve_status_i18n": "已通过"
    },
    "user": {
      "id": 443,
      "email": "4890653@qq.com",
      "created_at": "2015-02-09 11:10",
      "name": "大",
      "organization_id": 57,
      "phone": "18622222220",
      "role_id": 419,
      "workflow_state": "organization_staff",
      "job": "jingli ",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/4167/aike_cam20150721093112.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "销售部"
    },
    "address": {
      "id": 177110,
      "country": {
        "id": 4,
        "name": "中国",
        "pinyin": ""
      },
      "province": {
        "id": 2,
        "name": "天津",
        "pinyin": "tianjin",
        "country_id": 4
      },
      "city": {
        "id": 2,
        "name": "天津市",
        "pinyin": "tianjin",
        "province_id": 2
      },
      "district": {
        "id": 24,
        "name": "红桥区",
        "pinyin": null,
        "city_id": 2
      },
      "tel": "0218585886",
      "tel_hidden_result": "0218585886",
      "phone": "15000741320",
      "phone_hidden_result": "15000741320",
      "email": "",
      "qq": "",
      "fax": "",
      "wechat": "",
      "wangwang": "",
      "zip": "",
      "url": "",
      "detail_address": "上海市静安区长寿路 1111 号22楼2201 室",
      "lat": 31.229676,
      "lng": 121.42799,
      "distance": "0米",
      "region_info": "中国 天津 天津市 红桥区",
      "off_distance": -1,
      "gaode_staticmap": "http://restapi.amap.com/v3/staticmap?key=6336624d908c499cace3998613723a3a&location=121.42799%2C31.229676&markers=mid%2C%2CA%3A121.42799%2C31.229676&scale=2&size=524%2A180&zoom=16",
      "full_address": "中国 天津 天津市 红桥区 上海市静安区长寿路 1111 号22楼2201 室"
    },
    "is_own": true,
    "creator": {
      "id": 441,
      "email": "2608522821@qq.com",
      "created_at": "2015-02-06 17:32",
      "name": "仪修Test",
      "organization_id": 57,
      "phone": "18611111117",
      "role_id": 172,
      "workflow_state": "organization_staff",
      "job": "iOS开发",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/10322/avatar?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "销售部"
    },
    "name_pinyin": "",
    "need_hidden_dispose": false,
    "is_user_self": false,
    "ding_ext_contact_id": null,
    "card_attachment": {
      "id": 14918,
      "file_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14918/attachment_1466479956.jpg?imageslim",
      "origin_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14918/attachment_1466479956.jpg",
      "public_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14918/attachment_1466479956.jpg",
      "name": "attachment_1466479956.jpg",
      "file_file_name": "attachment_1466479956.jpg",
      "file_content_type": "image/jpeg",
      "file_file_size": 256196,
      "attachmentable_id": 20583,
      "attachmentable_type": "Contact",
      "upload_time": "2016-06-21 11:32",
      "note": "",
      "sub_type": "",
      "wx_media_id": null
    },
    "wx_external_userid": null,
    "wx_contact_type": null,
    "text_asset_7c7b94f7": null,
    "file_asset_6da421": [
      
    ]
  }
}
```

**错误时返回:**


```
{
  "code": 100100,
  "message": "您没有权限查看该对象或该对象不存在。",
  "error": "active_record/record_not_found"
}
```

#### 返回参数说明:

字段名 | 参数类型 | 描述
--------- | ------- | -----------
is_own | Boolean | 是否自己拥有
need_hidden_dispose | Boolean | 是否需要掩藏客户资料号码(用于呼叫中心)
is_user_self | Boolean | 是否是自己的联系人

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述