#### 简要描述：

- 联系人简单列表查询

备注:列表接口默认查询每页15条,单次查询最大100条,更多通用参数请参考[介绍](http://apidoc.weiwenjia.com/docs/crm_open_api/index.md "介绍")


#### 请求URL:

- `/api/v2/contacts/simplest`

#### 请求方式：
- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 这是 page
per_page | false | 这是 per_page
query | false | 联系人姓名等搜索关键词
customer_id | false | 传入则值显示用户下面的联系人
lastest_updated_at | false |  传入则值显示updated_at大于传入时间lastest_updated_at的联系人

#### 返回示例:

**正确时返回:**

```json
{
  "code": 0,
  "data": {
    "contacts": [
      {
        "id": 7982265,
        "name": "分为法人",
        "user_id": 254,
        "customer_id": 1605115,
        "customer_name": "贸易公司49",
        "address": {
          "phone": ""
        },
        "have_image": false
      },
      {
        "id": 7365721,
        "name": "金扉（上海）金融信息服务有限公司",
        "user_id": 254,
        "customer_id": 28619460,
        "customer_name": "金扉（上海）金融信息服务有限公司",
        "address": {
          "phone": ""
        },
        "have_image": false
      }
    ],
    "total_count": 276,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述