#### 简要描述：

- 合同筛选条件接口

#### 请求URL:

- ` /api/v2/contracts/filter_sort_group`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json
{
  "code": 0,
  "data": {
    "filters": [
      {
        "label": "合同状态",
        "field_name": "status",
        "filter_field_type": "select"
      },
      {
        "label": "合同到期",
        "field_name": "end_at",
        "filter_field_type": "select"
      },
      {
        "label": "产品筛选",
        "field_name": "product_id",
        "filter_field_type": "select"
      },
      {
        "label": "付款方式",
        "field_name": "payment_type",
        "filter_field_type": "field_map_field"
      },
      {
        "label": "合同审批",
        "field_name": "approve_status",
        "filter_field_type": "select"
      },
      {
        "label": "部门",
        "field_name": "department_id",
        "filter_field_type": "select",
        "filters": [
          {
            "label": "全部用户",
            "field_name": "user_id",
            "filter_field_type": "query_select"
          }
        ]
      }
    ],
    "sorts": [
      {
        "name": "sort",
        "label": "默认排序",
        "value": "",
        "order": ""
      },
      {
        "name": "sort",
        "label": "到期时间排序",
        "value": "end_at",
        "order": "desc"
      }
    ]
  }
}
```

**错误时返回:**


```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|field_name |string   |二级筛选条件值  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述