#### 简要描述：

- 合同列表

#### 请求URL:

- `/api/v2/contracts`

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 页码
per_page | false | 每页的数量
custom_field_name|false|搜索字段名称，支持自定义字段,配合query使用。
query | false | 搜索关键字
status | false | 状态
approve_status | false | 审批状态
sort | false | 排序类型(created_at )
order | false | 排序方式（asc desc）
entity | false | 实体（customer, opportunity）
entity_id | false | 实体id
tab_type | false | 值为[my,sub]或不传

<font color='#FF00000'>
备注:

1.日期相关自定义查询  如 创建时间 `created_at[]=2019-01-01&created_at[]=2019-02-01` 不支持到时分秒的查询条件

</font>

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "contracts": [
      {
        "id": 13604,
        "user_id": 1,
        "user_name": "test@qq.com",
        "customer_id": 82847,
        "customer_name": "111",
        "title": "ccccccc",
        "total_amount": 1000,
        "unreceived_amount": 1000,
        "approve_status": "approved",
        "approve_status_i18n": "已通过",
        "status": "2026",
        "status_mapped": "新建",
        "updated_at": "2017-06-07 16:55",
        "is_user_self": true
      }
    ],
    "total_count": 13,
    "per_page": 1,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|is_user_self |boolean   |是否自己的数据  |
|approve_status |string   |审批状态(approved:审批通过,)  |

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述