#### 简要描述：

- 新增合同回款计划

#### 请求URL:

- `/api/v2/contracts/:contract_id/received_payments`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
contract_id | true | 合同的id，替换掉url的:contract_id

#### 请求方式：

- POST

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

### 请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
received_payment[receive_stage]| true | 回款期数
received_payment[amount]| true | 回款金额
received_payment[receive_date]| true | 回款日期
received_payment[note]| false | 备注
received_payment[invoice_amount]| false | 开票金额
received_payment[payment_type] | false | 付款方式
received_payment[received_types]| false | 回款类型id
received_payment[receive_user_id]| false | 收款人id
received_payment[received_payment_plan_id]|false|回款计划ID，通过[回款计划接口](../../../includes/includes-_contract.md/contract_received_payment_plan.md/crm_open_api-1g0muvuig30s8.md)获取。

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "id": 84,
    "title":"2015年08月22日（第1期）",
    "receive_stage": 1,
    "payment_type_i18n": null,
    "invoice_status_display": null,
    "created_at": "2015-05-21 19:58",
    "amount": "123.0",
    "note": null,
    "receive_date": "2015-05-23",
    "approve_status": "approved",
    "approve_status_i18n": "已通过",
    "user": {
      "id": 1,
      "email": "test@qq.com",
      "created_at": "2014-07-23T17:19:04.000+08:00",
      "name": "Df",
      "organization_id": 30,
      "phone": "15721462113",
      "role_id": 86,
      "workflow_state": "organization_owner",
      "job": "部门经理iOS",
      "tel": "021-45555555",
      "gender": "male"
    }
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述