#### 简要描述：

- 获取合同回款期次

#### 请求URL:

- `/api/v2/contracts/:contract_id/received_payments/new`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
contract_id | true | 合同的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

``` json

{
  "code": 0,
  "data": {
    "receive_stage": 3, // 回款期数
	"received_payment_plan_id": 2,//回款计划ID
    "receive_date": "2015-09-11", // 回款日期
    "receive_user_id": 1,
    "payment_type": "30", // 付款方式id
    "received_types": "67030", // 回款类型id
    "note": "备注", // 备注
    "amount": "400.0", // 回款金额
    "invoice_amount": "1650.0" // 开票金额
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

字段名 | 描述
--------- | -----------
receive_stage | 最新回款期数


#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述