#### 简要描述：

- 合同回款计划列表

#### 请求URL:

- `/api/v2/contracts/:id/received_payment_plans`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 合同的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

``` json
{
  "code": 0,
  "data": {
    "received_payment_plans": [
      {
        "id": 15720,
        "title": "第1期回款计划",
        "period_name": "第1期",
        "receive_stage": 1,
        "payment_type": "",
        "payment_type_i18n": "",
        "created_at": "2017-06-20 22:11",
        "amount": "200000.0",
        "note": "",
        "receive_date": "2014-10-27",
        "received_types": "0",
        "paid_up": false,
        "received_amount": "1000.0",
        "received_types_mapped": "",
        "invoice_amount": "0.0",
        "status": "delay_undone",
        "status_i18n": "逾期未完成",
        "is_deletable": false,
        "contract_id": 104,
        "contract_title": "经理1的合同",
        "customer_id": 831,
        "customer_name": "经理1的客户",
        "user": {
          "id": 254,
          "email": "liu.x@vcooline1.com",
          "created_at": "2018-04-23 15:01",
          "name": "周星驰",
          "organization_id": 49,
          "phone": "17621642511",
          "role_id": 169,
          "workflow_state": "organization_staff",
          "job": "导演",
          "tel": "",
          "avatar_url": "https://dn-ikcrm-files.qbox.me/attachments/files/1484/25e25f090ccf5e514407f11dd64f5f14.gif?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
          "department_name": "总经理办公室"
        },
        "receive_user": null
      }
    ],
    "total_count": 1,
    "per_page": 15,
    "page": 1
  }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

字段名 | 描述
--------- | -----------
title | 标题
receive_stage | 回款期数
receive_date | 回款日期
amount | 计划回款金额
invoice_amount | 开票金额
payment_type | 付款类型id
payment_type_i18n | 付款类型中文描述
received_types | 回款类型id
received_types_mapped | 回款类型中文描述
receive_user_id | 回款类型id
paid_up | 是否付清，true: 是，false: 否
received_amount | 实际回款金额
note | 备注

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述