#### 简要描述：

- 合同开票金额列表

#### 请求URL:

- `/api/v2/contracts/:contract_id/invoiced_payments`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
contract_id | true | 合同的id，替换掉url的:contract_id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

``` json
{
    "code": 0,
    "data": {
        "invoice_payments": [
            {
                "id": 6,
                "user_id": 1,
                "amount": 1,
                "note": "1１１１１１.0",
                "invoiced_date": "2016-12-11",
                "invoice_no": "1001",
                "content": "啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊",
                "created_at": "2016-12-02T18:04:47.000+08:00",
                "broker_user": {},
                "contract": {
                    "id": 35,
                    "title": "试试撒大"
                },
                "invoice_types": "",
                "invoice_types_mapped": ""
            }
        ],
        "page": 1,
        "per_page": 15,
        "total_count": 14
    }
}
```

**错误时返回:**

```json

{
  "code": 100401,
  "data": null,
  "message": "你的帐号已在其他地方登录，本地已经下线"
}
```

#### 返回参数说明:

字段名 | 描述
--------- | -----------
amount | 开票金额
invoiced_date | 开票日期
invoice_no | 发票号码
content |　票据内容
invoice_types | 票据类型
broker_user_id | 经手人
note | 备注

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述