# .线索模块接口使用说明

## 1. [常见问题](https://www.kancloud.cn/weiwenjia_crm/crm/694774 "常见问题")

#### 1.如何查询自己的所有线索?
答:通过[线索列表](http://apidoc.weiwenjia.com/docs/crm_open_api/lead_list  "线索列表")接口,添加参数tab_type=my

#### 2.如何自定义时间查询线索?
答:如创建时间自定义添加参数 `created_at[]=2019-01-01&created_at[]=2019-02-01` 到[线索列表](http://apidoc.weiwenjia.com/docs/crm_open_api/lead_list  "线索列表")接口
<font color='#FF00000'>备注:不支持到时分秒的查询条件</font>

更多与时间相关的自定义查询如下:

| 参数说明  |参数形成   |
| ------------ | ------------ |
| 实际跟进时间  |real_revisit_at[]=2019-01-14&real_revisit_at[]=2019-02-14   |
| 更新时间  |updated_at[]=2019-01-14&updated_at[]=2019-02-14   |
| ...  |...  |

#### 3.列表筛选条件怎么使用?
答:
1> 通过 [筛选条件](http://apidoc.weiwenjia.com/docs/crm_open_api/customer_filter "筛选条件") `GET /api/v2/leads/filter_sort_group`接口获取一级筛选条件
2> 通过一级筛选值`field_name`调用二级筛选接口`GET /api/v2/leads/:field_name/filter_options`
3> 通过二级筛选接口` /api/v2/leads/:field_name/filter_options`返回的数据中的name与value的值作为条件查询列表信息