#### 简要描述：

- 商机列表查询
备注:列表接口默认查询每页15条,单次查询最大100条,更多通用参数请参考[介绍](http://apidoc.weiwenjia.com/docs/crm_open_api/index.md "介绍")


#### 请求URL:

- `/api/v2/opportunities`

#### 请求方式：
- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
page | false | 页码
per_page | false | 每页的数量
query | false | 搜索关键字
stage | false | 销售阶段
expect_sign_date_days | false | 预计签单日期
sort | false | 排序类型(created_at )
order | false | 排序方式（asc desc）
entity | false | 实体（customer）
entity_id | false | 实体id
tab_type | false | 值为[my,sub]或不传
source | false | Long | 线索来源, 调用接 /api/v2/opportunities/source/filter_options

<font color='#FF00000'>
备注:

1.customer等实体详细页面的联系人tab传入 entity， entity_id
2.日期相关自定义查询  如 创建时间 `created_at[]=2019-01-01&&created_at[]=2019-02-01` 不支持到时分秒的查询条件
</font>

#### 返回示例:

```json

{
  "code": 0,
  "data": {
    "opportunities": [
      {
        "id": 25,
        "title": "sdfsdasf",
        "title_pinyin": "sdfsdasf",
        "user_id": 1,
        "user_name": "default",
        "expect_amount": "12.0",
        "sign_possibility": "10%",
        "get_time": "2015-09-28",
        "stage": "64",
        "stage_mapped": "初步接洽",
        "expect_sign_date": "2015-09-28",
        "customer_requirement": "",
        "source": "",
        "source_mapped": "",
        "kind": "",
        "kind_mapped": "",
        "customer_id": 18,
        "customer_name": "贸易公司",
        "sign_possibility_display": "",
        "note": "",
        "created_at": "",
        "updated_at": ""
      }
    ],
    "total_count": 2,
    "per_page": 1,
    "page": 1
  }
}
```

#### 返回字段说明:

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|expect_sign_date |datatime   |预计签单日期  |
|stage |inter  |销售阶段
|stage_mapped |string  |销售阶段i18n名称显示

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述