#### 简要描述：

- 工作报告详情

#### 请求URL:

- `/api/v2/schedule_reports/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 工作报告的id，替换掉url的:id

#### 请求方式：

- GET

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 返回示例:

**正确时返回:**

```json

{
  "code": 0,
  "data": {
    "id": 12192,
    "due_at": "2018-07-22",
    "summary": "扣LOL哦哦",
    "schedule": "路口咯莫",
    "created_at": "2018-07-17 14:11",
    "date_range": "2018-07-16~2018-07-22",
    "marking_user": {
      "id": 700,
      "email": "79507452@qq.com",
      "created_at": "2015-07-01 18:17",
      "name": "小龙-test环境",
      "organization_id": 57,
      "phone": "18699999999",
      "role_id": 418,
      "workflow_state": "organization_staff",
      "job": "开发主管",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总裁办"
    },
    "cc_users": [
    ],
    "cycle_name": "weekly",
    "markings": [
      {
        "id": 4574,
        "content": "已阅",
        "exist_parent": false,
        "parent": {
        },
        "created_at": "2018-07-17 14:12",
        "user": {
          "id": 700,
          "name": "小龙-test环境"
        },
        "reply_to_user": {
        },
        "audios": [
        ],
        "report_marked": true
      }
    ],
    "marked": true,
    "read": true,
    "summary_audios": [
    ],
    "schedule_audios": [
    ],
    "notice": "辛辛苦苦提交了报告！",
    "summary_attachments_count": 0,
    "schedule_attachments_count": 0,
    "summary_content_attachments": [
    ],
    "schedule_content_attachments": [
    ],
    "summary_content_audios": [
    ],
    "schedule_content_audios": [
    ],
    "schedule_attachments": [
    ],
    "summary_attachments": [
    ],
    "schedule_report_images": [
    ],
    "schedule_report_files": [
    ],
    "custom_field_audios": {
      "summary": [
      ],
      "schedule": [
      ]
    },
    "is_deletable": true,
    "is_editable": false,
    "user": {
      "id": 700,
      "email": "79507452@qq.com",
      "created_at": "2015-07-01 18:17",
      "name": "小龙-test环境",
      "organization_id": 57,
      "phone": "18699999999",
      "role_id": 418,
      "workflow_state": "organization_staff",
      "job": "开发主管",
      "tel": "",
      "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/25929/MagazinePic-01-2.3.001-bigpicture_01_9.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
      "department_name": "总裁办"
    }
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述