## 删除线索池中线索
### HTTP Request

`DELETE  /api/v2/common_leads/:id`

### 请求参数说明

字段名 | 是否必填 | 字段类型 | 描述
------- | ------- | ------- | -------
id | true | Integer | 要删除的线索id，是url中的:id部分，不以参数形式传递

### 返回数据字段说明

字段名 | 参数类型 | 描述
------- | ------- | -------
code | Integer | 返回状态码，成功为0
data | Json | 返回数据，包含被删除的线索信息

> 返回数据

```json
{
    "code": 0,
    "data": {
        "id": 83024,
        "name": "线索池导入979",
        "company_name": "导入公司979",
        "status": "64180",
        "source": "",
        "source_mapped": "",
        "department": "",
        "job": "",
        "note": "主营外贸销售，代理国外一线品牌",
        "created_at": "2018-07-30 13:33",
        "status_mapped": "未处理",
        "updated_at": "2018-07-30 13:33",
        "is_own": true,
        "status_display": "未处理",
        "attachment": {},
        "turned_to_customer": false,
        "revisit_remind_at": "",
        "turned_customer_id": 0,
        "turned_to_customer_name": "",
        "qixinbao_id": "",
        "creator": {
            "id": 22218,
            "email": "",
            "created_at": "2018-03-26 10:12",
            "name": "lll",
            "organization_id": 10578,
            "phone": "",
            "role_id": 1912,
            "workflow_state": "new",
            "job": "",
            "tel": "",
            "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
            "department_name": "金银花牛黄片"
        },
        "is_editable": true,
        "is_user_self": false,
        "card_attachment": {},
        "text_asset_65e11f": null,
        "file_asset_7f77c2": [],
        "text_area_asset_a5cbb2": null,
        "text_asset_2baca2": [],
        "need_hidden_dispose": false,
        "text_asset_2baca2_display": "",
        "user": null,
        "address": null,
        "owned_department": null,
        "before_user": {
            "id": 21993,
            "email": "",
            "created_at": "2017-12-29 11:33",
            "name": "侯德林",
            "organization_id": 10578,
            "phone": "18516501771",
            "role_id": 1912,
            "workflow_state": "new",
            "job": "",
            "tel": "",
            "avatar_url": "https://ding-dev.ikcrm.com/assets/male.jpg",
            "department_name": "牛磺酸室"
        },
        "before_owned_department": {
            "id": 4351,
            "name": "牛磺酸室"
        }
    }
}
```