## 获取线索池设置列表
### HTTP Request

`GET  /api/v2/common_leads/common_settings`

### 请求参数说明

字段名 | 是否必填 | 字段类型 | 描述
------- | ------- | ------- | -------

### 返回数据字段说明

字段名 | 参数类型 | 描述
------- | ------- | -------
code | Integer | 返回状态码，成功为0
data | Json | 返回数据
common_settings | Array | 数组中包含所有线索池
id | Integer | 线索池id
organization_id | Integer | 企业id
name | String | 线索池名称
admin_list | Json | 线索池管理员列表
user_ids | Array | 线索池管理员id数组
member_list | Json | 线索池成员列表
all | Integer | 是否为全部用户
department_ids | Array | 指定部门的成员
user_ids | Array | 线索池成员id数组
custom_column_list | Json | 线索池自定义显示列
super | Array | 线索池管理员显示列
common | Array | 线索池成员显示列
filter_column_list | Json | 线索池筛选列
super | Array | 线索池管理员筛选列
common | Array | 线索池成员筛选列
grab_rule | String | 抢回规则
created_at | Time | 创建时间
updated_at| Time | 最近更新时间

> 返回数据

```json
{
    "code": 0,
    "data": {
        "common_settings": [
            {
                "id": 1,
                "organization_id": 10578,
                "name": "线索池",
                "admin_list": {
                    "user_ids": []
                },
                "member_list": {
                    "all": 1,
                    "department_ids": [
                        "0"
                    ],
                    "user_ids": []
                },
                "custom_column_list": {
                    "super": [
                        "name"
                    ],
                    "common": [
                        "name"
                    ]
                },
                "filter_column_list": {
                    "super": [],
                    "common": []
                },
                "grab_rule": "enable_grab",
                "created_at": "2018-07-18T19:04:13.000+08:00",
                "updated_at": "2018-07-18T19:04:13.000+08:00"
            }
        ]
    }
}
```