#### 简要描述：

- 写跟进

#### 请求URL:

- `/api/v2/revisit_logs`

#### 请求方式：

- POST

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

字段名 | 是否必填 | 描述
--------- | ------- | -----------
revisit_log[loggable_id] | true | 关联对象id
revisit_log[content] | false | 内容
revisit_log[remind_at] | false | 提醒时间（下次跟进时间）
revisit_log[real_revisit_at] | false | 实际跟进时间
revisit_log[category] | false | 跟进类型
revisit_log[loggable_type] | true | 关联对象类型，可选值为：Lead、Customer、Contact、Contract、Opportunity
revisit_log[loggable_attributes][`:format`] | false | 跟进状态(跟进对象为商机时`:format`替换为`stage`,其它类型为`status`)
attachment_ids[] | false | 跟进图片(图片上传七牛后返回的图片数据id)
audio_ids[] | false | 跟进语音(语音上传七牛后返回的语音数据id)
attachment_file_ids[] | false | 跟进附件(附件上传七牛后返回的附件数据id)
revisit_log[address_attributes][detail_address] | false | 跟进定位详情地址
revisit_log[lat] | false | 地址纬度
revisit_log[lng] | false | 地址经度
at_user_ids[] | false | @某人(可多个)
contacts_ids[] | false | 关联对象的联系人


#### 返回示例:

**正确时返回:**

```
{
  "code": 0,
  "data": {
    "id": 54571622,
    "content": "ing明敏",
    "loggable_type": "Contract",
    "loggable_id": 104,
    "loggable": {
      "id": 104,
      "title": "经理1的合同"
    },
    "real_revisit_at": "2019-02-15 17:35",
    "created_at": "2019-02-15 17:36",
    "attachment_files": [
    ],
    "category_display": "电话",
    "category_i18n": "电话",
    "category": "124823",
    "lat": 0.0,
    "lng": 0.0,
    "attachments": [
    ],
    "image_attachments": [
    ],
    "address": {
    },
    "timestamp": "2019-02-15 17:36",
    "refer_type_display": "合同",
    "refer_name": "经理1的合同",
    "title": "电话",
    "remind_at": "02月18日 17:36",
    "is_remind_expired": false,
    "raw_remind_at": "2019-02-18 17:36",
    "event_url": "ikcrm://events?klass_name=RevisitLog\u0026id=",
    "event_identifier": "",
    "at_users": [
    ],
    "user": {
      "id": 364513,
      "email": "110112119@qq.com",
      "created_at": "2018-01-10 10:09",
      "name": "个比唠忘",
      "organization_id": 49,
      "phone": "18699999999",
      "role_id": 169,
      "workflow_state": "organization_staff",
      "job": "扯吧",
      "tel": "",
      "avatar_url": "https://e.ikcrm.com/assets/female_uc.jpg",
      "department_name": "总经理办公室"
    },
    "audios": [
    ],
    "sales_activity_id": 252942363,
    "comments_count": 0,
    "contacts": [
    ]
  }
}
```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

暂无

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述