#### 简要描述：

- 更新任务

#### 请求URL:

- `/api/v2/events/:id`

- ##### url请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
id | true | 任务的id，替换掉url的:id

#### 请求方式：

- PUT

#### 请求头：

- 请参考[接口必读](http://apidoc.weiwenjia.com/docs/crm_open_api/demo.md "接口必读")

#### 请求参数:

### 请求参数说明

字段名 | 是否必填 | 描述
--------- | ------- | -----------
event[note] | false | 提醒内容
event[remind_at] | false | 开始时间
event[remind_type] | false | 提醒时间, 值为get  api/v2/events/remind_type/filter_options返回值
event[event_user_ids] | false | 提醒人id, 数组, 例如 [1,2,3]
image_attachment_ids | false | 图片附件id
audio_ids | false | 音频附件id

#### 返回示例:

**正确时返回:**

```json

{
    "code": 0,
    "data": {
        "id": 52722,
        "title": "",
        "description": "",
        "remind_at": "2017-12-12 00:00",
        "remind_status": "todo",
        "scheduleable_type": "Event",
        "scheduleable": {
            "id": 2905,
            "user": {
                "id": 1,
                "email": "test@qq.com",
                "created_at": "2017-04-13T00:00:00.000+08:00",
                "name": "test@qq.com",
                "organization_id": 30,
                "phone": "157214621171",
                "role_id": 86,
                "workflow_state": "organization_owner",
                "job": "6666",
                "tel": "021-45555555",
                "avatar_url": "https://dn-ikcrm-files-dev.qbox.me/attachments/files/14088/1.jpg?imageMogr2/thumbnail/!100x100r/crop/!100x100/format/jpg/auto-orient",
                "department_name": "研发2部"
            },
            "note": "12121212",
            "remind_at": "2017-12-12 00:00",
            "related_item_id": 0,
            "related_item_type": "",
            "related_item": {},
            "event_url": "ikcrm://events?klass_name=Event&id=52722",
            "event_identifier": "",
            "images_attachments": [],
            "image_attachments": [],
            "audios": []
        },
        "event_type": "",
        "event_name": "",
        "timestamp": 1508233592,
        "content": "12121212"
    }
}

```

**错误时返回:**

```json

{
  "code": 100000,
  "message": "device参数错误",
  "error": "invalid_app_error"
}
```

#### 返回参数说明:

字段名|描述
-------|------
id | ID
title | 标题
description | 描述
remind_at | 提醒时间
remind_status | 提醒状态
scheduleable_type | 日程类型
scheduleable | 日程关联对象
event_type | 提醒类型
event_name | 提醒名称
timestamp | 创建时间戳
content | 内容

#### 备注:

- 更多返回错误代码请看[错误码表](http://apidoc.weiwenjia.com/docs/crm_open_api/includes-_errors.md "错误代码")描述